Sync with portage [Tue Apr 24 09:31:46 MSK 2012].

mhiretskiy
root 12 years ago
parent 3844856daa
commit c6e752d58e

@ -1 +0,0 @@
DIST srlog2-0.85.tar.gz 88825 RMD160 0e8c4a8cafa9f4771287a983a629a380100885d4 SHA1 b725d3486cb04ce6ca07ede5e37c5806b35227d6 SHA256 76d4dc5404027fb45a6692d6155f415945d18f046f570a043e60f86676f71bfb

@ -1,10 +0,0 @@
diff -Naur srlog2-0.85.orig/srlog2d-ini.c srlog2-0.85/srlog2d-ini.c
--- srlog2-0.85.orig/srlog2d-ini.c 2009-12-07 12:29:58.000000000 +0100
+++ srlog2-0.85/srlog2d-ini.c 2009-12-07 12:30:20.000000000 +0100
@@ -1,5 +1,6 @@
#include <sys/types.h>
#include <string.h>
+#include <sys/socket.h>
#include <systime.h>
#include <adt/ghash.h>

@ -1,11 +0,0 @@
--- Makefile.orig 2010-01-14 12:10:59.000000000 +0100
+++ Makefile 2010-01-14 12:14:09.000000000 +0100
@@ -51,7 +51,7 @@
curve25519.h: conf-cc
rm -f curve25519/*.[oa]
- ( cd curve25519 && env CC="`head -n 1 ../conf-cc`" make curve25519.a; ) \
+ ( cd curve25519 && env CC="`head -n 1 ../conf-cc`" $(MAKE) curve25519.a; ) \
&& ( echo '#define HASCURVE25519 1'; cat curve25519/curve25519_`cat curve25519/curve25519.impl`.h; ) >$@ \
|| echo '#undef HASCURVE25519' >$@

@ -1,10 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>maintainer-needed@gentoo.org</email>
</maintainer>
<longdescription lang="en">
A secure remote log transmission system.
</longdescription>
</pkgmetadata>

@ -1,55 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/srlog2/srlog2-0.85.ebuild,v 1.4 2010/01/14 12:25:05 bangert Exp $
inherit toolchain-funcs eutils multilib
DESCRIPTION="Secure Remote Log transmission system"
HOMEPAGE="http://untroubled.org/srlog2/"
SRC_URI="http://untroubled.org/srlog2/archive/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"
IUSE=""
DEPEND=">=dev-libs/bglibs-1.106
app-crypt/nistp224
>=dev-libs/libtomcrypt-1.03"
RDEPEND="${DEPEND}"
src_unpack() {
unpack ${A}
cd "${S}"
echo -n "$(tc-getCC) ${CFLAGS}" > conf-cc
echo -n "$(tc-getCC) ${LDFLAGS}" > conf-ld
echo -n "/usr/include/bglibs" > conf-bgincs
echo -n "/usr/$(get_libdir)/bglibs" > conf-bglibs
echo -n /usr/bin > conf-bin
echo -n /usr/share/man > conf-man
# Deliberatly don't fix curve25519 as its full of PIC unfriendly asm code
# uncomment and follow
# http://www.gentoo.org/proj/en/hardened/pic-fix-guide.xml (Thunk it in
# assembly) to fix curve25519/*.s
sed -i -e 's/x86cpuid /x86cpuid -fno-pie /' curve25519/curve25519.impl.do
sed -i -e 's/) >/) -fPIC >/g' curve25519/Makefile
#If this isn't fixed it just includes app-crypt/nistp224 support only
epatch "${FILESDIR}"/srlog2-0.85-fix-incude.patch
epatch "${FILESDIR}"/srlog2-0.85-jobserver-fix.patch
}
src_compile() {
emake || die "emake failed"
}
src_install() {
emake install_prefix="${D}" install || die "emake install failed"
dodoc ANNOUNCEMENT NEWS README *.html
}
pkg_postinst() {
# even with the pic code fixed this only works on 32 bit cpus
#elog 'curve25519 only works on 32-bit x86 systems at the moment'
elog 'curve25519 support is currenly broken'
}

@ -0,0 +1,15 @@
the fallback logic doesn't even compile
--- a/src/utmp.c
+++ b/src/utmp.c
@@ -63,8 +63,8 @@
#if !defined(HAVE_GETUTXID) && defined(HAVE_GETUTID)
# define getutxline(u) getutline(u)
# define pututxline(u) pututline(u)
-# define setutxent setutent(u)
-# define endutxent endutent(u)
+# define setutxent() setutent()
+# define endutxent() endutent()
#endif /* !HAVE_GETUTXID && HAVE_GETUTID */
#ifdef HAVE_GETUTXID

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.8.3_p2.ebuild,v 1.9 2012/03/03 14:37:03 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.8.3_p2.ebuild,v 1.10 2012/04/23 23:30:13 vapier Exp $
EAPI="4"
@ -51,6 +51,7 @@ MAKEOPTS+=" SAMPLES="
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.8.3_p1-linguas.patch
epatch "${FILESDIR}"/${PN}-1.8.3_p1-no-utmpx.patch
elibtoolize
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.8.4_p2.ebuild,v 1.1 2012/02/29 16:25:35 flameeyes Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.8.4_p2.ebuild,v 1.2 2012/04/23 23:30:13 vapier Exp $
EAPI="4"
@ -50,6 +50,7 @@ REQUIRED_USE="pam? ( !skey ) skey? ( !pam )"
MAKEOPTS+=" SAMPLES="
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.8.3_p1-no-utmpx.patch
elibtoolize
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.8.4_p4.ebuild,v 1.1 2012/03/13 16:22:55 flameeyes Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/sudo/sudo-1.8.4_p4.ebuild,v 1.2 2012/04/23 23:30:13 vapier Exp $
EAPI="4"
@ -50,6 +50,7 @@ REQUIRED_USE="pam? ( !skey ) skey? ( !pam )"
MAKEOPTS+=" SAMPLES="
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.8.3_p1-no-utmpx.patch
elibtoolize
}

@ -1,3 +1,4 @@
DIST syslog-ng_3.2.4.tar.gz 1435115 RMD160 2927ba4d9b8a913f7117a659806c1721fe3d244e SHA1 ff732f7223bd2bd0424d4b9028b523cf62133af1 SHA256 e7bbd53121b57ba49089a0f95bf10a393e62b27a575c83d08e668c9dc1fe2f15
DIST syslog-ng_3.2.5.tar.gz 1448844 RMD160 dcaf5bc623d163f36a8b7d76cfbaa09142a5a834 SHA1 5541cd6711b7a9d983601d8047b9a27d98ecbe9b SHA256 ffc9f3a0ebea836c1c737b1ff49efe731d885af1d8aacf9eca79d9144eeefa89
DIST syslog-ng_3.3.4.tar.gz 2475254 RMD160 234a94e89a47f0520236c8a9a3d586d609a50476 SHA1 3437a50af027f281747087ab47a45aa5fbabbf14 SHA256 a7045694cd079a8efcfd73ca45cb7576f005ba26e6c83ccdfaf3cf81fa4e58aa
DIST syslog-ng_3.3.5.tar.gz 2495235 RMD160 6b9debaf2c765b9ba8fc9ae580a74811699b6a90 SHA1 0c8b85079b60c68c4279bcd4124b1e3c6358407b SHA256 dcca69869ab3cf2afda6db0dad549b6be717f6cf6aa6d7f27ca10f9c4c6aaa75

@ -0,0 +1,38 @@
From algernon@balabit.hu Fri Apr 20 12:06:44 2012
Date: Fri, 20 Apr 2012 18:06:31 +0200
From: Gergely Nagy <algernon@balabit.hu>
Reply-To: Syslog-ng users' and developers' mailing list <syslog-ng@lists.balabit.hu>
To: syslog-ng@lists.balabit.hu
Subject: [syslog-ng] [PATCH] afsocket: Fix unix-dgram initialisation
When initializing an unix-dgram socket, set self->fd to the acquired
socket FD, so that fds inherited from systemd actually get used and
polled on.
Signed-off-by: Gergely Nagy <algernon@balabit.hu>
---
modules/afsocket/afsocket.c | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/modules/afsocket/afsocket.c b/modules/afsocket/afsocket.c
index 5b192f4..c1bee5c 100644
--- a/modules/afsocket/afsocket.c
+++ b/modules/afsocket/afsocket.c
@@ -679,7 +679,7 @@ afsocket_sd_init(LogPipe *s)
if (sock == -1 && !afsocket_open_socket(self->bind_addr, !!(self->flags & AFSOCKET_STREAM), &sock))
return self->super.super.optional;
}
- self->fd = -1;
+ self->fd = sock;
if (!self->setup_socket(self, sock))
{
--
1.7.9.1
______________________________________________________________________________
Member info: https://lists.balabit.hu/mailman/listinfo/syslog-ng
Documentation: http://www.balabit.com/support/documentation/?product=syslog-ng
FAQ: http://www.balabit.com/wiki/syslog-ng-faq

@ -0,0 +1,10 @@
--- ./lib/scratch-buffers.c.orig 2012-01-20 17:44:43.871103296 -0500
+++ ./lib/scratch-buffers.c 2012-01-20 17:44:56.313552034 -0500
@@ -24,6 +24,7 @@
#include "tls-support.h"
#include "scratch-buffers.h"
+#include "misc.h"
TLS_BLOCK_START
{

@ -0,0 +1,44 @@
From algernon@balabit.hu Fri Apr 20 10:34:44 2012
Date: Fri, 20 Apr 2012 16:34:05 +0200
From: Gergely Nagy <algernon@balabit.hu>
Reply-To: Syslog-ng users' and developers' mailing list <syslog-ng@lists.balabit.hu>
To: syslog-ng@lists.balabit.hu
Subject: [syslog-ng] [PATCH] lib/gprocess.c: Ignore SIGHUP inside the supervisor.
Reloading syslog-ng's config is often done via a killall -HUP
syslog-ng command, which also sends a signal to the
supervisor. However, the supervisor did not handle said signal, thus
it exited as is the default for it.
To work around this issue, lets ignore SIGHUP inside the supervisor.
Reported-by: Patrick Hemmer
Signed-off-by: Gergely Nagy <algernon@balabit.hu>
---
lib/gprocess.c | 4 +++-
1 files changed, 3 insertions(+), 1 deletions(-)
diff --git a/lib/gprocess.c b/lib/gprocess.c
index aaefbab..9246d88 100644
--- a/lib/gprocess.c
+++ b/lib/gprocess.c
@@ -1110,7 +1110,9 @@ g_process_perform_supervise(void)
g_process_message("Initialization failed but the daemon did not exit, even when forced to, trying to recover; pid='%d'", pid);
continue;
}
-
+
+ sigignore(SIGHUP);
+
if (process_opts.check_fn && (process_opts.check_period >= 0))
{
gint i = 1;
--
1.7.9.1
______________________________________________________________________________
Member info: https://lists.balabit.hu/mailman/listinfo/syslog-ng
Documentation: http://www.balabit.com/support/documentation/?product=syslog-ng
FAQ: http://www.balabit.com/wiki/syslog-ng-faq

@ -0,0 +1,128 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/syslog-ng-3.3.5.ebuild,v 1.1 2012/04/23 19:50:28 mr_bones_ Exp $
EAPI=2
inherit autotools eutils multilib
MY_PV=${PV/_/}
DESCRIPTION="syslog replacement with advanced filtering features"
HOMEPAGE="http://www.balabit.com/products/syslog_ng/"
SRC_URI="http://www.balabit.com/downloads/files/syslog-ng/sources/${MY_PV}/source/syslog-ng_${MY_PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="caps hardened ipv6 json mongodb +pcre selinux spoof-source sql ssl static tcpd"
RESTRICT="test"
LIBS_DEPEND="
spoof-source? ( net-libs/libnet )
ssl? ( dev-libs/openssl )
tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
!static? (
>=dev-libs/eventlog-0.2.12
>=dev-libs/glib-2.10.1:2 )
json? ( >=dev-libs/json-glib-0.12 )
caps? ( sys-libs/libcap )
sql? ( >=dev-db/libdbi-0.8.3 )"
RDEPEND="
!static? (
pcre? ( dev-libs/libpcre )
${LIBS_DEPEND}
)"
DEPEND="${RDEPEND}
${LIBS_DEPEND}
static? (
>=dev-libs/eventlog-0.2.12[static-libs]
>=dev-libs/glib-2.10.1:2[static-libs] )
dev-util/pkgconfig
sys-devel/flex"
S=${WORKDIR}/${PN}-${MY_PV}
src_prepare() {
epatch \
"${FILESDIR}"/${P}-compile.patch \
"${FILESDIR}"/${P}-afsocket.patch \
"${FILESDIR}"/${P}-gprocess.patch
sed -i \
-e '/libsyslog_ng_crypto_la_LIBADD/s/$/ -lssl -lcrypto/' \
lib/Makefile.am || die
eautoreconf
}
src_configure() {
local myconf
if use static ; then
myconf="${myconf} --enable-static-linking"
else
myconf="${myconf} --enable-dynamic-linking"
fi
econf \
--disable-dependency-tracking \
--disable-systemd \
--with-ivykis=internal \
--sysconfdir=/etc/syslog-ng \
--localstatedir=/var/lib/misc \
--with-pidfile-dir=/var/run \
--with-module-dir=/usr/$(get_libdir)/syslog-ng \
$(use_enable caps linux-caps) \
$(use_enable ipv6) \
$(use_enable json) \
$(use_with json json-glib) \
$(use_enable mongodb) \
$(use_enable pcre) \
$(use_enable spoof-source) \
$(use_enable sql) \
$(use_enable ssl) \
$(use_enable tcpd tcp-wrapper) \
${myconf}
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS \
contrib/syslog-ng.conf* \
contrib/syslog2ng "${FILESDIR}/syslog-ng.conf."*
# Install default configuration
insinto /etc/syslog-ng
if use hardened || use selinux ; then
newins "${FILESDIR}/syslog-ng.conf.gentoo.hardened.${PV%.*}" syslog-ng.conf || die
elif use userland_BSD ; then
newins "${FILESDIR}/syslog-ng.conf.gentoo.fbsd.${PV%.*}" syslog-ng.conf || die
else
newins "${FILESDIR}/syslog-ng.conf.gentoo.${PV%.*}" syslog-ng.conf || die
fi
insinto /etc/logrotate.d
# Install snippet for logrotate, which may or may not be installed
if use hardened || use selinux ; then
newins "${FILESDIR}/syslog-ng.logrotate.hardened" syslog-ng || die
else
newins "${FILESDIR}/syslog-ng.logrotate" syslog-ng || die
fi
newinitd "${FILESDIR}/syslog-ng.rc6.${PV%.*}" syslog-ng || die
newconfd "${FILESDIR}/syslog-ng.confd" syslog-ng || die
keepdir /etc/syslog-ng/patterndb.d
find "${D}" -type f -name '*.la' -exec rm {} + || die
rmdir "${D}"/usr/libexec
}
pkg_postinst() {
elog "For detailed documentation please see the upstream website:"
elog "http://www.balabit.com/sites/default/files/documents/syslog-ng-ose-3.3-guides/syslog-ng-ose-v3.3-guide-admin-en.html/index.html"
# bug #355257
if ! has_version app-admin/logrotate ; then
echo
elog "It is highly recommended that app-admin/logrotate be emerged to"
elog "manage the log files. ${PN} installs a file in /etc/logrotate.d"
elog "for logrotate to use."
echo
fi
}

@ -1,9 +1,11 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/cabextract/cabextract-1.4.ebuild,v 1.9 2012/02/28 19:38:58 darkside Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/cabextract/cabextract-1.4.ebuild,v 1.10 2012/04/23 22:39:28 vapier Exp $
EAPI="4"
inherit toolchain-funcs
DESCRIPTION="Extracts files from Microsoft .cab files"
HOMEPAGE="http://www.cabextract.org.uk/"
SRC_URI="http://www.cabextract.org.uk/${P}.tar.gz"
@ -20,6 +22,10 @@ RDEPEND="extra-tools? ( dev-lang/perl )"
# removed in the future if building still works by setting "yes" to "no".
export ac_cv_func_fnmatch_works=yes
src_compile() {
emake AR="$(tc-getAR)"
}
src_install() {
emake DESTDIR="${D}" install
dodoc AUTHORS ChangeLog INSTALL NEWS README TODO doc/magic

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/bootchart2-0.14.2-r1.ebuild,v 1.1 2012/04/02 13:06:32 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/bootchart2-0.14.2-r1.ebuild,v 1.2 2012/04/23 16:53:47 jlec Exp $
EAPI=4
@ -20,8 +20,9 @@ IUSE="svg"
RDEPEND="
!app-benchmarks/bootchart
dev-python/pycairo[svg=]
dev-python/pygtk"
dev-python/pycairo[svg?]
dev-python/pygtk
sys-apps/lsb-release"
DEPEND="${RDEPEND}"
CONFIG_CHECK="~PROC_EVENTS ~TASKSTATS ~TASK_DELAY_ACCT ~TMPFS"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/bootchart2-0.14.2-r2.ebuild,v 1.1 2012/04/16 07:18:38 slyfox Exp $
# $Header: /var/cvsroot/gentoo-x86/app-benchmarks/bootchart2/bootchart2-0.14.2-r2.ebuild,v 1.2 2012/04/23 16:53:47 jlec Exp $
EAPI=4
@ -21,7 +21,8 @@ IUSE="svg"
RDEPEND="
!app-benchmarks/bootchart
dev-python/pycairo[svg?]
dev-python/pygtk"
dev-python/pygtk
sys-apps/lsb-release"
DEPEND="${RDEPEND}"
CONFIG_CHECK="~PROC_EVENTS ~TASKSTATS ~TASK_DELAY_ACCT ~TMPFS"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/k9copy/k9copy-2.3.8.ebuild,v 1.2 2012/03/08 17:14:12 sping Exp $
# $Header: /var/cvsroot/gentoo-x86/app-cdr/k9copy/k9copy-2.3.8.ebuild,v 1.3 2012/04/23 15:45:33 ago Exp $
EAPI=4
@ -20,7 +20,7 @@ HOMEPAGE="http://k9copy.sourceforge.net/"
LICENSE="GPL-2"
SLOT="4"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="debug mplayer"
DEPEND="

@ -1 +0,0 @@
DIST cssed-0.4.0.tar.gz 1457946 RMD160 91bd22facdf40298d54bac83cc126740a1a077d8 SHA1 98ca1bcca97ee22516ca18ebfd832a48efb80e77 SHA256 25d26d5d30311c88e7c6195e2407c1deb23997723cb939377f5f2078b778ecc4

@ -1,43 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/cssed/cssed-0.4.0-r1.ebuild,v 1.7 2011/03/01 06:48:08 radhermit Exp $
EAPI=1
inherit autotools eutils toolchain-funcs
DESCRIPTION="a GTK2 application to help create and maintain CSS style sheets for web developing"
HOMEPAGE="http://cssed.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="plugins"
RDEPEND="x11-libs/gtk+:2
>=dev-libs/atk-1.4.0
>=dev-libs/glib-2.2.3
>=media-libs/fontconfig-2.2.0-r2
>=x11-libs/pango-1.2.1-r1"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-asneeded.patch
epatch "${FILESDIR}"/${P}-glibc-2.10.patch
sed -i -e "/^cssed_LINK/s:g++:$(tc-getCXX) \$(LDFLAGS):" src/Makefile.am
eautoreconf
}
src_compile() {
econf $(use_with plugins plugin-headers)
emake || die "emake failed"
}
src_install() {
emake DESTDIR="${D}" install || die "emake failed"
dodoc AUTHORS ChangeLog NEWS README
}

@ -1,11 +0,0 @@
diff --git a/src/Makefile.am b/src/Makefile.am
index a425281..9167c00 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -65,5 +65,5 @@ cssed_SOURCES = \
xpm-icons.h \
filetypes.h
-cssed_LDADD = @PACKAGE_LIBS@ ../scintilla/gtk/libscintilla.a ../libcroco/parser/libcroco.a
+cssed_LDADD = ../scintilla/gtk/libscintilla.a ../libcroco/parser/libcroco.a @PACKAGE_LIBS@
cssed_LINK = g++ -DGTK -o cssed

@ -1,12 +0,0 @@
diff -ur cssed-0.4.0.orig/scintilla/src/LexCaml.cxx cssed-0.4.0/scintilla/src/LexCaml.cxx
--- cssed-0.4.0.orig/scintilla/src/LexCaml.cxx 2005-05-27 06:30:23.000000000 +0300
+++ cssed-0.4.0/scintilla/src/LexCaml.cxx 2009-08-06 01:58:38.000000000 +0300
@@ -273,7 +273,7 @@
case SCE_CAML_OPERATOR: {
// [try to] interpret as [additional] operator char
- char* o = 0;
+ const char* o = 0;
if (iscaml(ch) || isspace(ch) /* ident or whitespace */
|| ((o = strchr(")]};,\'\"`#", ch)) != 0)/* "termination" chars */
|| !strchr("!$%&*+-./:<=>?@^|~", ch)/* "operator" chars */) {

@ -1,8 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>web-apps</herd>
<use>
<flag name='plugins'>Install plugin development files</flag>
</use>
</pkgmetadata>

@ -5,3 +5,5 @@ DIST vim-patches-7.3.444.patch.bz2 685849 RMD160 c64df37f830771e0234f04f1ed518d1
DIST vim-patches-7.3.456.patch.bz2 702782 RMD160 528b8589a435c5e6eb4501f0476cd90617d8e313 SHA1 d1121b2cdfed6dd50e3c2826c0945b5a634955cc SHA256 c104b0df5d3ee010243c1265893ed0b8bd72c55215e6d6d98072b69e0ae47610
DIST vim-patches-7.3.462.patch.bz2 704476 RMD160 58779a8d1b94911e7f7e6f6027359ab11c308512 SHA1 8298347dda8a54338f3a0107d656bdb43c430ba6 SHA256 e5a2fb74b975d02644997c0845ee98bcdd63aa8e80ebfd33048039d9b70a5e71
DIST vim-patches-7.3.487.patch.bz2 747547 RMD160 5bc5e9d6fb1ed6e789df3c4d19de3527b3843868 SHA1 6b532e7d630114acd5cbea2478e324c89b6e94fe SHA256 118f68f5f37072f4ab89c32e81172bc059b66d02e4f2791475f085b4c8604cc1
DIST vim-patches-7.3.498.patch.bz2 806293 RMD160 902c2521784065c6fb3721dd0d2efdc0562f1359 SHA1 821a5155c931e20cc9f70c0bd80256af4adc559a SHA256 8526d61bddd00e489da64808c328b14da6b5a6d4aa8b2d7b888c222bb1084e9a
DIST vim-patches-7.3.502.patch.bz2 805795 RMD160 f26f8fa8f788cc62e82bc9cc5ef113c28142278d SHA1 0ab394b88ce82bc235d46bb46d48977c3e71d243 SHA256 89454b4c85def97dcaa7d8ccc47f94252c7183d68b85a045878997631eb54ce3

@ -0,0 +1,29 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gvim/gvim-7.3.498.ebuild,v 1.1 2012/04/23 13:01:07 lack Exp $
EAPI=3
VIM_VERSION="7.3"
inherit vim
VIM_ORG_PATCHES="vim-patches-${PV}.patch.bz2"
GVIMRC_FILE_SUFFIX="-r1"
GVIM_DESKTOP_SUFFIX="-r2"
SRC_URI="ftp://ftp.vim.org/pub/vim/unix/vim-${VIM_VERSION}.tar.bz2
http://dev.gentoo.org/~lack/vim/${VIM_ORG_PATCHES}"
S="${WORKDIR}/vim${VIM_VERSION/.}"
DESCRIPTION="GUI version of the Vim text editor"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE=""
src_prepare() {
vim_src_prepare
epatch "${FILESDIR}"/${PN}-7.1.285-darwin-x11link.patch
if [[ ${CHOST} == *-interix* ]]; then
epatch "${FILESDIR}"/${PN}-7.1-interix-link.patch
epatch "${FILESDIR}"/${PN}-7.1.319-interix-cflags.patch
fi
}

@ -0,0 +1,29 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/gvim/gvim-7.3.502.ebuild,v 1.1 2012/04/23 14:02:10 lack Exp $
EAPI=3
VIM_VERSION="7.3"
inherit vim
VIM_ORG_PATCHES="vim-patches-${PV}.patch.bz2"
GVIMRC_FILE_SUFFIX="-r1"
GVIM_DESKTOP_SUFFIX="-r2"
SRC_URI="ftp://ftp.vim.org/pub/vim/unix/vim-${VIM_VERSION}.tar.bz2
http://dev.gentoo.org/~lack/vim/${VIM_ORG_PATCHES}"
S="${WORKDIR}/vim${VIM_VERSION/.}"
DESCRIPTION="GUI version of the Vim text editor"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE=""
src_prepare() {
vim_src_prepare
epatch "${FILESDIR}"/${PN}-7.1.285-darwin-x11link.patch
if [[ ${CHOST} == *-interix* ]]; then
epatch "${FILESDIR}"/${PN}-7.1-interix-link.patch
epatch "${FILESDIR}"/${PN}-7.1.319-interix-cflags.patch
fi
}

@ -7,3 +7,5 @@ DIST vim-patches-7.3.444.patch.bz2 685849 RMD160 c64df37f830771e0234f04f1ed518d1
DIST vim-patches-7.3.456.patch.bz2 702782 RMD160 528b8589a435c5e6eb4501f0476cd90617d8e313 SHA1 d1121b2cdfed6dd50e3c2826c0945b5a634955cc SHA256 c104b0df5d3ee010243c1265893ed0b8bd72c55215e6d6d98072b69e0ae47610
DIST vim-patches-7.3.462.patch.bz2 704476 RMD160 58779a8d1b94911e7f7e6f6027359ab11c308512 SHA1 8298347dda8a54338f3a0107d656bdb43c430ba6 SHA256 e5a2fb74b975d02644997c0845ee98bcdd63aa8e80ebfd33048039d9b70a5e71
DIST vim-patches-7.3.487.patch.bz2 747547 RMD160 5bc5e9d6fb1ed6e789df3c4d19de3527b3843868 SHA1 6b532e7d630114acd5cbea2478e324c89b6e94fe SHA256 118f68f5f37072f4ab89c32e81172bc059b66d02e4f2791475f085b4c8604cc1
DIST vim-patches-7.3.498.patch.bz2 806293 RMD160 902c2521784065c6fb3721dd0d2efdc0562f1359 SHA1 821a5155c931e20cc9f70c0bd80256af4adc559a SHA256 8526d61bddd00e489da64808c328b14da6b5a6d4aa8b2d7b888c222bb1084e9a
DIST vim-patches-7.3.502.patch.bz2 805795 RMD160 f26f8fa8f788cc62e82bc9cc5ef113c28142278d SHA1 0ab394b88ce82bc235d46bb46d48977c3e71d243 SHA256 89454b4c85def97dcaa7d8ccc47f94252c7183d68b85a045878997631eb54ce3

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/vim-core/vim-core-7.3.498.ebuild,v 1.1 2012/04/23 12:59:51 lack Exp $
EAPI=3
VIM_VERSION="7.3"
inherit vim
VIM_CORE_GENTOO_PATCHES="vim-core-${VIM_VERSION}-gentoo-patches-r1.tar.bz2"
VIM_ORG_PATCHES="vim-patches-${PV}.patch.bz2"
VIMRC_FILE_SUFFIX="-r4"
SRC_URI="ftp://ftp.vim.org/pub/vim/unix/vim-${VIM_VERSION}.tar.bz2
http://dev.gentoo.org/~lack/vim/${VIM_CORE_GENTOO_PATCHES}
http://dev.gentoo.org/~lack/vim/${VIM_ORG_PATCHES}"
S="${WORKDIR}/vim${VIM_VERSION/.}"
DESCRIPTION="vim and gvim shared files"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/vim-core/vim-core-7.3.502.ebuild,v 1.1 2012/04/23 13:24:34 lack Exp $
EAPI=3
VIM_VERSION="7.3"
inherit vim
VIM_CORE_GENTOO_PATCHES="vim-core-${VIM_VERSION}-gentoo-patches-r1.tar.bz2"
VIM_ORG_PATCHES="vim-patches-${PV}.patch.bz2"
VIMRC_FILE_SUFFIX="-r4"
SRC_URI="ftp://ftp.vim.org/pub/vim/unix/vim-${VIM_VERSION}.tar.bz2
http://dev.gentoo.org/~lack/vim/${VIM_CORE_GENTOO_PATCHES}
http://dev.gentoo.org/~lack/vim/${VIM_ORG_PATCHES}"
S="${WORKDIR}/vim${VIM_VERSION/.}"
DESCRIPTION="vim and gvim shared files"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""

@ -5,3 +5,5 @@ DIST vim-patches-7.3.444.patch.bz2 685849 RMD160 c64df37f830771e0234f04f1ed518d1
DIST vim-patches-7.3.456.patch.bz2 702782 RMD160 528b8589a435c5e6eb4501f0476cd90617d8e313 SHA1 d1121b2cdfed6dd50e3c2826c0945b5a634955cc SHA256 c104b0df5d3ee010243c1265893ed0b8bd72c55215e6d6d98072b69e0ae47610
DIST vim-patches-7.3.462.patch.bz2 704476 RMD160 58779a8d1b94911e7f7e6f6027359ab11c308512 SHA1 8298347dda8a54338f3a0107d656bdb43c430ba6 SHA256 e5a2fb74b975d02644997c0845ee98bcdd63aa8e80ebfd33048039d9b70a5e71
DIST vim-patches-7.3.487.patch.bz2 747547 RMD160 5bc5e9d6fb1ed6e789df3c4d19de3527b3843868 SHA1 6b532e7d630114acd5cbea2478e324c89b6e94fe SHA256 118f68f5f37072f4ab89c32e81172bc059b66d02e4f2791475f085b4c8604cc1
DIST vim-patches-7.3.498.patch.bz2 806293 RMD160 902c2521784065c6fb3721dd0d2efdc0562f1359 SHA1 821a5155c931e20cc9f70c0bd80256af4adc559a SHA256 8526d61bddd00e489da64808c328b14da6b5a6d4aa8b2d7b888c222bb1084e9a
DIST vim-patches-7.3.502.patch.bz2 805795 RMD160 f26f8fa8f788cc62e82bc9cc5ef113c28142278d SHA1 0ab394b88ce82bc235d46bb46d48977c3e71d243 SHA256 89454b4c85def97dcaa7d8ccc47f94252c7183d68b85a045878997631eb54ce3

@ -0,0 +1,26 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/vim/vim-7.3.498.ebuild,v 1.1 2012/04/23 13:00:37 lack Exp $
EAPI=3
VIM_VERSION="7.3"
inherit vim
VIM_ORG_PATCHES="vim-patches-${PV}.patch.bz2"
SRC_URI="ftp://ftp.vim.org/pub/vim/unix/vim-${VIM_VERSION}.tar.bz2
http://dev.gentoo.org/~lack/vim/${VIM_ORG_PATCHES}"
S="${WORKDIR}/vim${VIM_VERSION/.}"
DESCRIPTION="Vim, an improved vi-style text editor"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
src_prepare() {
vim_src_prepare
if [[ ${CHOST} == *-interix* ]]; then
epatch "${FILESDIR}"/${PN}-7.3-interix-link.patch
fi
epatch "${FILESDIR}"/${PN}-7.1.285-darwin-x11link.patch
}

@ -0,0 +1,26 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-editors/vim/vim-7.3.502.ebuild,v 1.1 2012/04/23 14:01:40 lack Exp $
EAPI=3
VIM_VERSION="7.3"
inherit vim
VIM_ORG_PATCHES="vim-patches-${PV}.patch.bz2"
SRC_URI="ftp://ftp.vim.org/pub/vim/unix/vim-${VIM_VERSION}.tar.bz2
http://dev.gentoo.org/~lack/vim/${VIM_ORG_PATCHES}"
S="${WORKDIR}/vim${VIM_VERSION/.}"
DESCRIPTION="Vim, an improved vi-style text editor"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
src_prepare() {
vim_src_prepare
if [[ ${CHOST} == *-interix* ]]; then
epatch "${FILESDIR}"/${PN}-7.3-interix-link.patch
fi
epatch "${FILESDIR}"/${PN}-7.1.285-darwin-x11link.patch
}

@ -0,0 +1 @@
DIST actionscript-mode-7.2.2_p20120405.tar.gz 8226 RMD160 11cdcea34e2b14d914fdf01ef931d075d3a33857 SHA1 29877b717a875a59eaee9d59397f5199f9df4b15 SHA256 f752546eab05c5249187b79489b74dcce385f99814b5ec708a1e347aabc154c4

@ -0,0 +1,28 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/actionscript-mode/actionscript-mode-7.2.2_p20120405.ebuild,v 1.1 2012/04/23 21:01:07 ulm Exp $
EAPI=4
inherit elisp
GITHUB_USER="austinhaas"
GITHUB_PROJECT="${PN}"
GITHUB_TAG="aa7e63d566a815152e7e652010becd46a406abb2"
DESCRIPTION="A major mode for GNU Emacs for editing Actionscript 3 files"
HOMEPAGE="https://github.com/austinhaas/actionscript-mode"
SRC_URI="https://github.com/${GITHUB_USER}/${GITHUB_PROJECT}/tarball/${GITHUB_TAG} -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DOCS="README.txt"
SITEFILE="50${PN}-gentoo.el"
src_unpack() {
unpack ${A}
mv "${GITHUB_USER}-${GITHUB_PROJECT}"-* ${P} || die
}

@ -0,0 +1,5 @@
(add-to-list 'load-path "@SITELISP@")
(autoload 'actionscript-mode "actionscript-mode"
"Major mode for editing Actionscript files." t)
(add-to-list 'auto-mode-alist '("\\.as\\'" . actionscript-mode))
(eval-after-load "actionscript-mode" '(load "actionscript-config"))

@ -1,8 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>video</herd>
<herd>emacs</herd>
<maintainer>
<email>media-video@gentoo.org</email>
<email>flameeyes@gentoo.org</email>
</maintainer>
</pkgmetadata>

@ -0,0 +1 @@
DIST yaml-mode-0.0.8.tar.gz 6271 RMD160 57e19fd0007ce9ad24d7e0b75ca235f4c3e7a3f7 SHA1 e3e35386f646a03444f4891d3d22d288e51e0e65 SHA256 88695798a4df55e5d42e880b7d24b18d180cc0a9989f8057ea48ec66365586f5

@ -0,0 +1,3 @@
(add-to-list 'load-path "@SITELISP@")
(autoload 'yaml-mode "yaml-mode" "Simple mode to edit YAML." t)
(add-to-list 'auto-mode-alist '("\\.yml\\'" . yaml-mode))

@ -1,7 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>emacs</herd>
<maintainer>
<email>maintainer-needed@gentoo.org</email>
<email>flameeyes@gentoo.org</email>
</maintainer>
</pkgmetadata>

@ -0,0 +1,19 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emacs/yaml-mode/yaml-mode-0.0.8.ebuild,v 1.3 2012/04/23 20:53:52 ulm Exp $
EAPI=4
inherit elisp
DESCRIPTION="A major mode for GNU Emacs for editing YAML files"
HOMEPAGE="https://github.com/yoshiki/yaml-mode"
SRC_URI="mirror://github/yoshiki/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DOCS="README Changes"
SITEFILE="50${PN}-gentoo.el"

@ -1,12 +1,12 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-i18n/ibus-tutcode/ibus-tutcode-1.0.0.ebuild,v 1.1 2011/05/28 00:56:41 naota Exp $
# $Header: /var/cvsroot/gentoo-x86/app-i18n/ibus-tutcode/ibus-tutcode-1.0.0.ebuild,v 1.2 2012/04/23 19:17:54 mgorny Exp $
EAPI=4
DESCRIPTION="a Japanese TUT-Code input engine for IBus"
HOMEPAGE="https://github.com/deton/ibus-tutcode/"
SRC_URI="https://github.com/downloads/deton/${PN}/${P}.tar.bz2"
SRC_URI="mirror://github/deton/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"

@ -1,12 +1,12 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-i18n/ibus-tutcode/ibus-tutcode-1.0.1.ebuild,v 1.1 2011/11/09 04:54:11 naota Exp $
# $Header: /var/cvsroot/gentoo-x86/app-i18n/ibus-tutcode/ibus-tutcode-1.0.1.ebuild,v 1.2 2012/04/23 19:17:54 mgorny Exp $
EAPI=4
DESCRIPTION="a Japanese TUT-Code input engine for IBus"
HOMEPAGE="https://github.com/deton/ibus-tutcode/"
SRC_URI="https://github.com/downloads/deton/${PN}/${P}.tar.bz2"
SRC_URI="mirror://github/deton/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-laptop/nvidiabl/nvidiabl-0.70.ebuild,v 1.1 2011/07/19 18:36:33 angelos Exp $
# $Header: /var/cvsroot/gentoo-x86/app-laptop/nvidiabl/nvidiabl-0.70.ebuild,v 1.2 2012/04/23 19:19:09 mgorny Exp $
EAPI=3
inherit linux-mod
@ -8,7 +8,7 @@ inherit linux-mod
DESCRIPTION="Linux driver for setting the backlight brightness on laptops using
NVIDIA GPU"
HOMEPAGE="https://github.com/guillaumezin/nvidiabl"
SRC_URI="https://github.com/downloads/guillaumezin/${PN}/${P}-source-only.dkms.tar.gz"
SRC_URI="mirror://github/guillaumezin/${PN}/${P}-source-only.dkms.tar.gz"
LICENSE="GPL-2"
SLOT="0"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-laptop/nvidiabl/nvidiabl-0.72.ebuild,v 1.1 2011/11/11 16:38:50 angelos Exp $
# $Header: /var/cvsroot/gentoo-x86/app-laptop/nvidiabl/nvidiabl-0.72.ebuild,v 1.2 2012/04/23 19:19:09 mgorny Exp $
EAPI=4
inherit linux-mod
@ -8,7 +8,7 @@ inherit linux-mod
DESCRIPTION="Linux driver for setting the backlight brightness on laptops using
NVIDIA GPU"
HOMEPAGE="https://github.com/guillaumezin/nvidiabl"
SRC_URI="https://github.com/downloads/guillaumezin/${PN}/${P}-source-only.dkms.tar.gz"
SRC_URI="mirror://github/guillaumezin/${PN}/${P}-source-only.dkms.tar.gz"
LICENSE="GPL-2"
SLOT="0"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-laptop/nvidiabl/nvidiabl-0.73.ebuild,v 1.1 2012/02/19 10:59:10 angelos Exp $
# $Header: /var/cvsroot/gentoo-x86/app-laptop/nvidiabl/nvidiabl-0.73.ebuild,v 1.2 2012/04/23 19:19:09 mgorny Exp $
EAPI=4
inherit linux-mod
@ -8,7 +8,7 @@ inherit linux-mod
DESCRIPTION="Linux driver for setting the backlight brightness on laptops using
NVIDIA GPU"
HOMEPAGE="https://github.com/guillaumezin/nvidiabl"
SRC_URI="https://github.com/downloads/guillaumezin/${PN}/${P}-source-only.dkms.tar.gz"
SRC_URI="mirror://github/guillaumezin/${PN}/${P}-source-only.dkms.tar.gz"
LICENSE="GPL-2"
SLOT="0"

@ -0,0 +1,14 @@
https://www.midnight-commander.org/ticket/2784
https://www.midnight-commander.org/changeset/ac880c71a74c1fc75d7162b2ca3613970479e663
--- mc-4.8.3/src/filemanager/chown.c
+++ mc-4.8.3/src/filemanager/chown.c
@@ -378,7 +378,7 @@
if (mc_chown (fname_vpath, new_user, new_group) == -1)
message (D_ERROR, MSG_ERROR, _("Cannot chown \"%s\"\n%s"),
fname, unix_error_string (errno));
- vfs_path_free (vpath);
+ vfs_path_free (fname_vpath);
}
else
apply_chowns (new_user, new_group);

@ -1,10 +1,10 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/mc/mc-4.8.3.ebuild,v 1.1 2012/04/22 14:53:53 slyfox Exp $
# $Header: /var/cvsroot/gentoo-x86/app-misc/mc/mc-4.8.3-r1.ebuild,v 1.1 2012/04/23 15:59:12 polynomial-c Exp $
EAPI=4
inherit flag-o-matic
inherit eutils flag-o-matic
MY_P=${P/_/-}
@ -40,6 +40,9 @@ S=${WORKDIR}/${MY_P}
src_prepare() {
cp "${FILESDIR}"/${P}-missing-do_panel_cd_stub_env.c \
tests/src/filemanager/do_panel_cd_stub_env.c || die
# bug #413259
epatch "${FILESDIR}"/${P}-fix-chown-crash.patch
}
src_configure() {

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-misc/realpath/realpath-1.16.ebuild,v 1.8 2012/02/07 15:25:11 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-misc/realpath/realpath-1.16.ebuild,v 1.9 2012/04/23 22:33:56 vapier Exp $
EAPI="3"
inherit eutils toolchain-funcs flag-o-matic prefix
@ -33,7 +33,6 @@ src_unpack() {
cd deb
unpack ${PN}_${PV}_i386.deb
unpack ./data.tar.gz
gunzip -r usr/share/man || die "gunzip failed"
fi
}
@ -47,7 +46,7 @@ src_prepare() {
src_compile() {
tc-export CC
use !elibc_glibc && append-libs -lintl
use nls && use !elibc_glibc && append-libs -lintl
[[ ${CHOST} == *-mint* ]] && append-libs "-liconv"
if [[ ${CHOST} == *-irix* || ${CHOST} == *-interix[35]* ]] ; then
append-flags -I"${EPREFIX}"/usr/$(get_libdir)/gnulib/include
@ -55,12 +54,12 @@ src_compile() {
append-libs -lgnu
fi
emake VERSION="${PV}" SUBDIRS="src man $(use nls && echo po)" \
emake VERSION="${PV}" SUBDIRS="src man $(usex nls po '')" \
|| die "emake failed"
}
src_install() {
emake VERSION="${PV}" SUBDIRS="src man $(use nls && echo po)" \
emake VERSION="${PV}" SUBDIRS="src man $(usex nls po '')" \
DESTDIR="${D}" install || die "emake install failed"
newdoc debian/changelog ChangeLog.debian || die

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice-l10n/libreoffice-l10n-3.5.2.ebuild,v 1.3 2012/04/22 14:19:48 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice-l10n/libreoffice-l10n-3.5.2.ebuild,v 1.5 2012/04/23 13:30:56 scarabeus Exp $
EAPI=4
@ -147,6 +147,8 @@ src_install() {
insinto /usr/$(get_libdir)/${PN/-l10n/}/
doins -r "${dir}"/*
fi
# remove extensions that are in the l10n for some weird reason
rm -rf "${ED}"/usr/$(get_libdir)/${PN/-l10n/}/share/extensions/
echo "${OO_EXTENSIONS[@]}"
office-ext_src_install

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.51 2012/04/19 09:10:44 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.52 2012/04/23 16:44:44 scarabeus Exp $
EAPI=4
@ -170,7 +170,6 @@ DEPEND="${COMMON_DEPEND}
>=dev-libs/libxml2-2.7.8
dev-libs/libxslt
dev-perl/Archive-Zip
dev-util/cppunit
>=dev-util/gperf-3
dev-util/intltool
dev-util/mdds

@ -4,3 +4,4 @@ DIST texmaker-3.2.2.tar.bz2 6721777 RMD160 931e30ff53ca92edd13ff3f367fd0e786d8a2
DIST texmaker-3.2.tar.bz2 6706557 RMD160 ddd476ae3342ddef70138c87a2269434933c0022 SHA1 9022ed0f3e1881036eaad93cfa5bb630f6e5f290 SHA256 40c7d2a9bf0f8d0a987c1a250369f9dcb0b7a1978b83c7f08e8325f8f9ab3675
DIST texmaker-3.3.1.tar.bz2 7689820 RMD160 77584dd5d0ede71fc05e6b1c69d1bc7e439b8b2b SHA1 dc6b86321b9d66015036463175c3246184f08637 SHA256 fad20df029c00bcf627eefecdde95720d9bf1611f4168b2a977ddd1f8c7a7c38
DIST texmaker-3.3.2.tar.bz2 7781249 RMD160 8ebecba262b802e9c6619eb72d0a72fd7e728d3b SHA1 73cd62a8377e7c68c0e521fd2805a012178a3c35 SHA256 a3e16c820ef16782a7331c1550f97cab7b29111f77664340239fc448540a05fb
DIST texmaker-3.3.3.tar.bz2 8023823 RMD160 355b5953d6e714c09df4afc5bd7f53a95d48460b SHA1 d3602897a47f2e3ccd0a395bb04b1d189241d2ea SHA256 5bb4c6e74e70d5d8f231f67a3d6895fa482f602720491d75d4b8813ecd49e92d

@ -0,0 +1,15 @@
main.cpp | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)
diff --git a/main.cpp b/main.cpp
index e979c1b..da2831a 100644
--- a/main.cpp
+++ b/main.cpp
@@ -14,6 +14,7 @@
#include "texmakerapp.h"
#include <QStringList>
+#include <GL/glu.h>
int main( int argc, char ** argv )

@ -0,0 +1,167 @@
configdialog.cpp | 4 ++--
latexeditor.h | 2 +-
latexeditorview.h | 2 +-
latexhighlighter.h | 2 +-
spellerdialog.h | 2 +-
texmaker.h | 2 +-
texmaker.pro | 42 ++++++------------------------------------
7 files changed, 13 insertions(+), 43 deletions(-)
diff --git a/configdialog.cpp b/configdialog.cpp
index 3b91fd0..338b166 100644
--- a/configdialog.cpp
+++ b/configdialog.cpp
@@ -210,9 +210,9 @@ void ConfigDialog::browseAspell()
QDir spelldir(QCoreApplication::applicationDirPath());
#else
#ifdef DEBIAN_SPELLDIR
-QDir spelldir(PREFIX"/share/myspell/dicts");
+QDir spelldir("@GENTOO_PORTAGE_EPREFIX@/usr/share/myspell");
#else
-QDir spelldir(PREFIX"/share/texmaker");
+QDir spelldir("@GENTOO_PORTAGE_EPREFIX@/usr/share/texmaker");
#endif
#endif
diff --git a/latexeditor.h b/latexeditor.h
index e053390..0e82f08 100644
--- a/latexeditor.h
+++ b/latexeditor.h
@@ -33,7 +33,7 @@
#include "latexhighlighter.h"
#include "textblockselection.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
typedef int UserBookmarkList[3];
diff --git a/latexeditorview.h b/latexeditorview.h
index fb8d7d4..716b466 100644
--- a/latexeditorview.h
+++ b/latexeditorview.h
@@ -22,7 +22,7 @@
#include "gotolinewidget.h"
#include "replacewidget.h"
#include "minisplitter.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
class LatexEditorView : public QWidget {
Q_OBJECT
diff --git a/latexhighlighter.h b/latexhighlighter.h
index e0b91b1..74ec42a 100644
--- a/latexhighlighter.h
+++ b/latexhighlighter.h
@@ -20,7 +20,7 @@
#include <QColor>
#include <QTextBlockUserData>
//#include "latexeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
class QTextDocument;
class LatexEditor;
diff --git a/spellerdialog.h b/spellerdialog.h
index 83248ae..cd16dad 100644
--- a/spellerdialog.h
+++ b/spellerdialog.h
@@ -13,7 +13,7 @@
#include "ui_spellerdialog.h"
#include "latexeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
#include <QTextCursor>
diff --git a/texmaker.h b/texmaker.h
index 584be7f..b0069a4 100644
--- a/texmaker.h
+++ b/texmaker.h
@@ -48,7 +48,7 @@
#include "usertagslistwidget.h"
#include "xmltagslistwidget.h"
#include "logeditor.h"
-#include "hunspell/hunspell.hxx"
+#include <hunspell.hxx>
#include "browser.h"
#include "pdfviewerwidget.h"
#include "pdfviewer.h"
diff --git a/texmaker.pro b/texmaker.pro
index 17d0a24..28ad193 100644
--- a/texmaker.pro
+++ b/texmaker.pro
@@ -4,7 +4,8 @@ TARGET = texmaker
QT += network \
xml \
webkit
-CONFIG += qt warn_off release
+CONFIG += qt warn_off release link_pkgconfig
+PKGCONFIG = hunspell
TEXMAKERVERSION=3.3.3
DEFINES += TEXMAKERVERSION=\\\"$${TEXMAKERVERSION}\\\"
DEFINES += HAVE_SPLASH
@@ -67,25 +68,6 @@ HEADERS += texmaker.h \
synctex_parser_utils.h \
usertagslistwidget.h \
addtagdialog.h \
- hunspell/affentry.hxx \
- hunspell/affixmgr.hxx \
- hunspell/atypes.hxx \
- hunspell/baseaffix.hxx \
- hunspell/csutil.hxx \
- hunspell/dictmgr.hxx \
- hunspell/hashmgr.hxx \
- hunspell/htypes.hxx \
- hunspell/hunspell.hxx \
- hunspell/hunspell.h \
- hunspell/langnum.hxx \
- hunspell/license.hunspell \
- hunspell/phonet.hxx \
- hunspell/suggestmgr.hxx \
- hunspell/license.myspell \
- hunspell/filemgr.hxx \
- hunspell/hunzip.hxx \
- hunspell/replist.hxx \
- hunspell/w_char.hxx \
singleapp/qtlocalpeer.h \
singleapp/qtlockedfile.h \
singleapp/qtsingleapplication.h \
@@ -171,18 +153,6 @@ SOURCES += main.cpp \
synctex_parser_utils.c \
usertagslistwidget.cpp \
addtagdialog.cpp \
- hunspell/affentry.cxx \
- hunspell/affixmgr.cxx \
- hunspell/csutil.cxx \
- hunspell/dictmgr.cxx \
- hunspell/hashmgr.cxx \
- hunspell/hunspell.cxx \
- hunspell/phonet.cxx \
- hunspell/suggestmgr.cxx \
- hunspell/utf_info.cxx \
- hunspell/filemgr.cxx \
- hunspell/replist.cxx \
- hunspell/hunzip.cxx \
singleapp/qtlocalpeer.cpp \
singleapp/qtlockedfile.cpp \
singleapp/qtsingleapplication.cpp \
@@ -276,13 +246,13 @@ isEmpty( ICONDIR ) {
ICONDIR=/usr/share/pixmaps
}
-INCLUDEPATH += /usr/include/poppler/qt4
-LIBS += -L/usr/lib -lpoppler-qt4
-LIBS += -L/usr/lib -lz
+INCLUDEPATH += @GENTOO_PORTAGE_EPREFIX@/usr/include/poppler/qt4
+LIBS += -lpoppler-qt4
+LIBS += -lz
DEFINES += PREFIX=\\\"$${PREFIX}\\\"
target.path = $${PREFIX}/bin
-#DEFINES += DEBIAN_SPELLDIR
+DEFINES += DEBIAN_SPELLDIR
INSTALLS = target

@ -0,0 +1,15 @@
main.cpp | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)
diff --git a/main.cpp b/main.cpp
index e979c1b..da2831a 100644
--- a/main.cpp
+++ b/main.cpp
@@ -14,6 +14,7 @@
#include "texmakerapp.h"
#include <QStringList>
+#include <GL/glu.h>
int main( int argc, char ** argv )

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/texmaker/texmaker-3.3.2.ebuild,v 1.1 2012/03/06 16:16:54 jlec Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/texmaker/texmaker-3.3.2.ebuild,v 1.2 2012/04/23 12:31:47 jlec Exp $
EAPI="3"
@ -47,7 +47,10 @@ RDEPEND="${COMMON_DEPEND}
DEPEND="${COMMON_DEPEND}
dev-util/pkgconfig"
PATCHES=( "${FILESDIR}/${P}-hunspell.patch" )
PATCHES=(
"${FILESDIR}/${P}-hunspell.patch"
"${FILESDIR}/${P}-qt48.patch"
)
src_prepare() {
qt4-r2_src_prepare

@ -0,0 +1,73 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/texmaker/texmaker-3.3.3.ebuild,v 1.1 2012/04/23 12:31:47 jlec Exp $
EAPI=4
inherit base prefix qt4-r2 versionator
# The upstream version numbering is bad, so we have to remove a dot in the
# minor version number
MAJOR="$(get_major_version)"
MINOR_1="$(($(get_version_component_range 2)/10))"
MINOR_2="$(($(get_version_component_range 2)%10))"
if [ ${MINOR_2} -eq "0" ] ; then
MY_P="${PN}-${MAJOR}.${MINOR_1}"
else
MY_P="${PN}-${MAJOR}.${MINOR_1}.${MINOR_2}"
fi
MY_P="${P}"
DESCRIPTION="A nice LaTeX-IDE"
HOMEPAGE="http://www.xm1math.net/texmaker/"
SRC_URI="http://www.xm1math.net/texmaker/${MY_P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE=""
S="${WORKDIR}/${MY_P}"
COMMON_DEPEND="
app-text/poppler[qt4]
sys-libs/zlib
x11-libs/libX11
x11-libs/libXext
x11-libs/qt-gui:4
x11-libs/qt-core:4
x11-libs/qt-webkit:4
>=app-text/hunspell-1.2.4"
RDEPEND="${COMMON_DEPEND}
virtual/latex-base
app-text/psutils
app-text/ghostscript-gpl
media-libs/netpbm"
DEPEND="${COMMON_DEPEND}
dev-util/pkgconfig"
PATCHES=(
"${FILESDIR}/${P}-hunspell.patch"
"${FILESDIR}/${P}-qt48.patch"
)
src_prepare() {
qt4-r2_src_prepare
eprefixify ${PN}.pro configdialog.cpp
}
src_install() {
emake INSTALL_ROOT="${ED}" install
insinto /usr/share/pixmaps/texmaker
doins utilities/texmaker*.png
doins utilities/texmaker.svg
dodoc utilities/AUTHORS utilities/CHANGELOG.txt
}
pkg_postinst() {
elog "A user manual with many screenshots is available at:"
elog "${EPREFIX}/usr/share/${PN}/usermanual_en.html"
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/distpatch/distpatch-0.1.1.ebuild,v 1.1 2011/08/21 02:54:16 rafaelmartins Exp $
# $Header: /var/cvsroot/gentoo-x86/app-portage/distpatch/distpatch-0.1.1.ebuild,v 1.2 2012/04/23 17:41:04 mgorny Exp $
EAPI=3
@ -12,7 +12,7 @@ inherit distutils
DESCRIPTION="Distfile Patching Support for Gentoo Linux (tools)"
HOMEPAGE="http://www.gentoo.org/proj/en/infrastructure/distpatch/"
SRC_URI="http://cloud.github.com/downloads/rafaelmartins/${PN}/${P}.tar.gz"
SRC_URI="mirror://github/rafaelmartins/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"

@ -0,0 +1,60 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/esearch/esearch-1.1-r2.ebuild,v 1.1 2012/04/23 21:03:36 fuzzyray Exp $
EAPI="3"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.[45] 2.7-pypy-* *-jython"
PYTHON_USE_WITH="readline"
PYTHON_NONVERSIONED_EXECUTABLES=(".*")
inherit base distutils python
DESCRIPTION="Replacement for 'emerge --search' with search-index"
HOMEPAGE="http://david-peter.de/esearch.html"
SRC_URI="mirror://github/fuzzyray/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
IUSE="linguas_fr linguas_it"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris"
DEPEND="sys-apps/portage"
RDEPEND="${DEPEND}"
# Populate the patches array for any patches for -rX releases
# It is an array of patch file names of the form:
# "${FILESDIR}"/${PV}-fix-EPREFIX-capability.patch
PATCHES=( "${FILESDIR}"/${PV}-Reprint-warnings-detected-during-layman-sync-API.patch
"${FILESDIR}"/${PV}-Use-of-undefined-variable-in-sync.patch )
distutils_src_compile_pre_hook() {
echo VERSION="${PVR}" "$(PYTHON)" setup.py set_version
VERSION="${PVR}" "$(PYTHON)" setup.py set_version \
|| die "setup.py set_version failed"
}
src_prepare() {
base_src_prepare
distutils_src_prepare
}
src_compile() {
distutils_src_compile
}
src_install() {
python_convert_shebangs -r "" build-*/scripts-*
distutils_src_install
dodoc eupdatedb.cron || die "dodoc failed"
# Remove unused man pages according to the linguas flags
if ! use linguas_fr ; then
rm -rf "${ED}"/usr/share/man/fr
fi
if ! use linguas_it ; then
rm -rf "${ED}"/usr/share/man/it
fi
}

@ -0,0 +1,28 @@
From be82bbc05e3f31d52f45561125e02d764cce7e7f Mon Sep 17 00:00:00 2001
From: gdvl <gdvl@gentp>
Date: Sat, 21 Apr 2012 12:14:03 +0200
Subject: [PATCH] Use of undefined variable in sync()
The variable 'warnings' in sync() is undefined if esync is called
without --layman-sync. This causes esync to fail when executing the
'if warnings ...' statement.
---
esearch/sync.py | 2 ++
1 files changed, 2 insertions(+), 0 deletions(-)
diff --git a/esearch/sync.py b/esearch/sync.py
index 5748698..a147ac1 100755
--- a/esearch/sync.py
+++ b/esearch/sync.py
@@ -192,6 +192,8 @@ def layman_sync(config):
def sync(config):
+ warnings = None
+
tree_old = gettree("old", config)
if config['layman-sync']:
--
1.7.8.5

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/pms-test-suite/pms-test-suite-0.1.ebuild,v 1.2 2011/10/23 22:15:08 tetromino Exp $
# $Header: /var/cvsroot/gentoo-x86/app-portage/pms-test-suite/pms-test-suite-0.1.ebuild,v 1.3 2012/04/23 17:40:49 mgorny Exp $
EAPI=3
@ -15,7 +15,7 @@ inherit base distutils
DESCRIPTION="A test suite for Package Manager PMS compliance"
HOMEPAGE="http://www.gentoo.org/proj/en/qa/pms/pms-test-suite.xml"
SRC_URI="http://cloud.github.com/downloads/mgorny/${PN}/${P}.tar.bz2"
SRC_URI="mirror://github/mgorny/${PN}/${P}.tar.bz2"
LICENSE="BSD-2"
SLOT="0"

@ -1,3 +1,3 @@
DIST portpeek-1.9.70.tar.gz 8634 RMD160 3da26cddb24b4f6d7eb99d81e6ccef49b48d2224 SHA1 c0c4f49a8cc865313e842d1775d6dd74c21c25c8 SHA256 21a6edab38ea5c3cba99b27856f5f0918154c5d5f93286618c213f5385e32e2b
DIST portpeek-1.9.83.tar.gz 10535 RMD160 b9637e5cd4b8bb2237773227f2d5680af63cfc4c SHA1 541fe4a9f0c26348dc6121438c4f8860223b50a1 SHA256 882703c3b4646eb8f15d34af2d87d7e80ce14b8b15f47706760a84fb1f76cc02
DIST portpeek-2.0.20.tar.gz 10585 RMD160 ec5b157f7f6ea89bdf9a5e563c10dec877c19868 SHA1 79e08f3714cf633228b953364b13f4e341721363 SHA256 a7d7e391fd6ad134570035552345233d0e6329cc364d16c41cec228473908cc8
DIST portpeek-2.0.22.tar.gz 11373 RMD160 c4738cebb2eece523a305800c0c032919849a6e3 SHA1 c0daab6104012052561442169769d58cb4a4507f SHA256 21caa8aead79f54e553d82bf36e912afe77be22188c75dbbbd5a0229f75f388f

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/portpeek/portpeek-2.0.20.ebuild,v 1.1 2012/04/17 13:30:39 mpagano Exp $
# $Header: /var/cvsroot/gentoo-x86/app-portage/portpeek/portpeek-2.0.22.ebuild,v 1.1 2012/04/23 12:40:51 mpagano Exp $
EAPI="4"
PYTHON_DEPEND="*:2.7"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/apvlv/apvlv-0.1.2-r1.ebuild,v 1.1 2011/10/19 13:52:55 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/apvlv/apvlv-0.1.2-r1.ebuild,v 1.2 2012/04/23 19:22:05 mgorny Exp $
EAPI=4
@ -9,7 +9,7 @@ inherit eutils cmake-utils
MY_P="${P}-Source"
DESCRIPTION="Alf's PDF Viewer Like Vim"
HOMEPAGE="http://naihe2010.github.com/apvlv/"
SRC_URI="https://github.com/downloads/naihe2010/${PN}/${MY_P}.tar.gz"
SRC_URI="mirror://github/naihe2010/${PN}/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/apvlv/apvlv-0.1.2.ebuild,v 1.2 2011/10/19 13:52:55 ssuominen Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/apvlv/apvlv-0.1.2.ebuild,v 1.3 2012/04/23 19:22:05 mgorny Exp $
EAPI=4
@ -9,7 +9,7 @@ inherit eutils cmake-utils
MY_P="${P}-Source"
DESCRIPTION="Alf's PDF Viewer Like Vim"
HOMEPAGE="http://naihe2010.github.com/apvlv/"
SRC_URI="https://github.com/downloads/naihe2010/${PN}/${MY_P}.tar.gz"
SRC_URI="mirror://github/naihe2010/${PN}/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"

@ -1,2 +1 @@
DIST libwps-0.2.4.tar.xz 271784 RMD160 693969eeb90b29bc5d34fa31f038e7e142d80f42 SHA1 bc32ac4c566191ffa51161cceacdffc931692f25 SHA256 40e7ec96e7715b2063b7fe87ff679956558e46bb3f1ca9f86b3bab6e3f2596d6
DIST libwps-0.2.5.tar.xz 75520 RMD160 6b56a537cc84a2c5db8e511179acc04ffa90232a SHA1 b265a28e28047c680fe354c047bafb815f604f0d SHA256 80e2ecbed617a87236c1519a59fa05725bced727192d060dea22f47774b76218

@ -1,34 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/libwps/libwps-0.2.5.ebuild,v 1.1 2012/04/23 10:50:33 scarabeus Exp $
EAPI=4
DESCRIPTION="Microsoft Works file word processor format import filter library"
HOMEPAGE="http://libwps.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE="doc debug static-libs"
RDEPEND="app-text/libwpd:0.9"
DEPEND="${RDEPEND}
dev-util/pkgconfig
doc? ( app-doc/doxygen )
"
src_configure() {
econf \
--disable-werror \
$(use_enable static-libs static) \
--docdir=/usr/share/doc/${PF} \
$(use_with doc docs) \
$(use_enable debug)
}
src_install() {
default
find "${ED}" -name '*.la' -delete
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/poppler/poppler-0.18.4-r1.ebuild,v 1.4 2012/04/22 16:42:00 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/poppler/poppler-0.18.4-r1.ebuild,v 1.5 2012/04/23 21:33:14 ranger Exp $
EAPI="4"
@ -11,7 +11,7 @@ HOMEPAGE="http://poppler.freedesktop.org/"
SRC_URI="http://poppler.freedesktop.org/${P}.tar.gz"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE="cairo cjk curl cxx debug doc +introspection jpeg jpeg2k +lcms png qt4 tiff +utils +xpdf-headers"

@ -1 +0,0 @@
DIST cppcsp2-2.0.5.tar.gz 276483 RMD160 88543201ed8ce366f7f524c3bd6d044c381f1ce6 SHA1 e13d290a9df131c1900bfaa6224cf546e4dbd853 SHA256 6d5c22db8b2ec1a10850f565acfa14b515fb47e94adb325c7ad2906afd99fc8c

@ -1,32 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/cppcsp2/cppcsp2-2.0.5.ebuild,v 1.1 2009/03/06 15:08:33 dev-zero Exp $
EAPI="2"
DESCRIPTION="C++CSP2 provides easy concurrency for C++"
HOMEPAGE="http://www.cs.kent.ac.uk/projects/ofa/c++csp/"
SRC_URI="http://www.cs.kent.ac.uk/projects/ofa/c++csp/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="doc"
RDEPEND="dev-libs/boost"
DEPEND="doc? ( app-doc/doxygen )
${RDEPEND}"
src_compile() {
default
if use doc ; then
emake docs || die "emake docs failed"
fi
}
src_install() {
emake DESTDIR="${D}" install || die "emake install failed"
dodoc AUTHORS ChangeLog NEWS README
use doc && dohtml docs/html/*
}

@ -1,5 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>cpp</herd>
</pkgmetadata>

@ -1 +0,0 @@
DIST cppserv-0.2.14.tar.bz2 143006 RMD160 38cf8ba26a81c5fa2ac19cfa48a4abbd05ad3e6b SHA1 3b983a93c50aeb9c188e780d214c224129572117 SHA256 263875d0718282678567f24eae7e2f641f3303998dcb06de3d5f73ff2bd0ff98

@ -1,51 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/cppserv/cppserv-0.2.14.ebuild,v 1.3 2012/02/24 14:58:04 phajdan.jr Exp $
inherit eutils apache-module multilib
DESCRIPTION="CPPSERV is an application server providing Servlet-like API in C++ and a C++ Server Pages parser."
HOMEPAGE="http://www.total-knowledge.com/progs/cppserv"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~mips x86"
IUSE="debug"
APACHE2_MOD_CONF="75_mod_cserv"
APACHE2_MOD_DEFINE="CPPSERV"
DEPEND="net-libs/socket++
>=dev-cpp/sptk-4.11
>=dev-libs/apr-1.2
dev-libs/boost
"
RDEPEND="${DEPEND}"
need_apache2
cppserv_build_flags() {
local CPPSERV_DBG_FLAG
use debug && CPPSERV_DBG_FLAG="CPPFLAGS=-DMODCSERV_DEBUG"
echo PREFIX=/usr LIB=/$(get_libdir) ADON_VERBOSE=1 ADON_BUILD=release APRCFG_PATH=/usr/bin/apr-1-config ${CPPSERV_DBG_FLAG}
}
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}"/${P}-asneeded.patch
}
src_compile() {
emake $(cppserv_build_flags) || die "emake failed. Bug iluxa on #cppserv on irc.freenode.net immediately"
}
src_install() {
emake $(cppserv_build_flags) DESTDIR="${D}" ${CPPSERV_DBG_FLAG} install || die "emake install failed. Bug iluxa on #cppserv on irc.freenode.net immediately"
insinto "${APACHE_MODULES_CONFDIR}"
doins "${FILESDIR}/${APACHE2_MOD_CONF}.conf" || die "internal ebuild error: \"${FILESDIR}/${APACHE2_MOD_CONF}.conf\" not found. Bug iluxa on #cppserv on irc.freenode.net immediately"
}
src_test() {
emake $(cppserv_build_flags) check
}

@ -1,10 +0,0 @@
<IfDefine CPPSERV>
# Load the module first
LoadModule cserv_module modules/mod_cserv.so
# Set it to run servlets
<Location /cserv>
SetHandler cserv-handler
CServUnixPath /tmp/cppserv.sock
</Location>
</IfDefine>

@ -1,57 +0,0 @@
--- rules.mk
+++ rules.mk
@@ -253,7 +253,7 @@
$(Q)touch $$@
$(ADON_BUILD)/$(1)/$(2).so: $(ADON_BUILD)/$(2)-dep $(3)
$(LINK) $$(filter-out $(ADON_BUILD)/$(2)-dep,$$^) $$(SHLIB_FLAGS) $$(ADON_LIBFLAGS) \
- $($(2)_SHLIB_FLAGS) $($(2)_LDFLAGS) $(LOCAL_LDADD) -Wl,-soname,$(2).so -shared -o $$@
+ $($(2)_SHLIB_FLAGS) $($(2)_LDFLAGS) $(LOCAL_LDADD) -Wl,-soname,$(2).so -shared -o $$@ $($(2)_LIBADD)
endef
#FIXME: -fPIC is bit non-portable
@@ -300,7 +300,8 @@
$(ADON_BUILD)/$(1)/$(2): $(ADON_BUILD)/$(2)-dep $(3)
$(LINK) $$(filter-out $(ADON_BUILD)/$(2)-dep,$$^) $$(TARGET_LDFLAGS) \
$$(TOP_LDFLAGS) $$(ADON_LIBFLAGS) \
- $(LOCAL_LDFLAGS) $($(2)_LDFLAGS) $$(LDFLAGS) -o $$@
+ $(LOCAL_LDFLAGS) $($(2)_LDFLAGS) $$(LDFLAGS) -o $$@ \
+ $($(2)_LDADD)
endef
# curdir, progname, instvar
--- src/cxxsp/parser/Makefile.adon
+++ src/cxxsp/parser/Makefile.adon
@@ -28,7 +28,7 @@
csplex.lpp
cxxsp_compile_SOURCES:= cxxsp_compile.cpp
-cxxsp_compile_LDFLAGS:= -lutil -lcxxsp_parser -ldl -lservlet -lcxxtaglib
+cxxsp_compile_LDADD:= -lutil -lcxxsp_parser -lservlet -lcxxtaglib -ldl
cxxsp_compile_DEPS:=libcxxtaglib cxxsp_runtime_taglib
noinst_HEADERS:= \
--- src/cxxsp/taglib/Makefile.adon
+++ src/cxxsp/taglib/Makefile.adon
@@ -21,6 +21,6 @@
lib_LTLIBRARIES:=libcxxtaglib cxxsp_runtime_taglib
libcxxtaglib_SOURCES:=Taglib.cpp CompileTimeTaglib.cpp
cxxsp_runtime_taglib_SOURCES:=RunTimeTaglib.cpp
-cxxsp_runtime_taglib_LDFLAGS:=-lcxxtaglib
+cxxsp_runtime_taglib_LDADD:=-lcxxtaglib
cxxsp_runtime_taglib_DEPS:=libcxxtaglib
noinst_HEADERS:=RunTimeTaglib.h
--- src/container/Makefile.adon
+++ src/container/Makefile.adon
@@ -37,10 +37,10 @@
requesthandler.cpp \
cthreadpool.cpp \
requestlistener.cpp
-cppserv_LDFLAGS := -lservlet -lsputil3 -lsocket++ -lpthread -ldl -lserverconfig
+cppserv_LDADD := -lservlet -lsputil3 -lsocket++ -lpthread -lserverconfig -ldl
cppserv_CPPFLAGS := -I$(ADON_SRC)/include/container
cppserv_DEPS:= libservlet libserverconfig
ifeq ($(HAVE_LIBMAGIC),1)
-cppserv_LDFLAGS+=-lmagic
+cppserv_LDADD+=-lmagic
endif

@ -1,12 +0,0 @@
http://bugs.gentoo.org/335687
--- src/container/requestlistener.cpp
+++ src/container/requestlistener.cpp
@@ -29,6 +29,7 @@
#include <errno.h>
#include <fcntl.h>
#include <unistd.h>
+#include <sys/stat.h>
#include <functional>
#include <algorithm>

@ -1,57 +0,0 @@
--- adon-banai/rules.mk
+++ adon-banai/rules.mk
@@ -253,7 +253,7 @@
$(Q)touch $$@
$(ADON_BUILD)/$(1)/$(2).so: $(ADON_BUILD)/$(2)-dep $(3)
$(LINK) $$(filter-out $(ADON_BUILD)/$(2)-dep,$$^) $$(SHLIB_FLAGS) $$(ADON_LIBFLAGS) \
- $($(2)_SHLIB_FLAGS) $($(2)_LDFLAGS) $(LOCAL_LDADD) -Wl,-soname,$(2).so -shared -o $$@
+ $($(2)_SHLIB_FLAGS) $($(2)_LDFLAGS) $(LOCAL_LDADD) -Wl,-soname,$(2).so -shared -o $$@ $($(2)_LIBADD)
endef
#FIXME: -fPIC is bit non-portable
@@ -300,7 +300,8 @@
$(ADON_BUILD)/$(1)/$(2): $(ADON_BUILD)/$(2)-dep $(3)
$(LINK) $$(filter-out $(ADON_BUILD)/$(2)-dep,$$^) $$(TARGET_LDFLAGS) \
$$(TOP_LDFLAGS) $$(ADON_LIBFLAGS) \
- $(LOCAL_LDFLAGS) $($(2)_LDFLAGS) $$(LDFLAGS) -o $$@
+ $(LOCAL_LDFLAGS) $($(2)_LDFLAGS) $$(LDFLAGS) -o $$@ \
+ $($(2)_LDADD)
endef
# curdir, progname, instvar
--- src/cxxsp/parser/Makefile.adon
+++ src/cxxsp/parser/Makefile.adon
@@ -28,7 +28,7 @@
csplex.lpp
cxxsp_compile_SOURCES:= cxxsp_compile.cpp
-cxxsp_compile_LDFLAGS:= -lutil -lcxxsp_parser -ldl -lservlet -lcxxtaglib
+cxxsp_compile_LDADD:= -lutil -lcxxsp_parser -lservlet -lcxxtaglib -ldl
cxxsp_compile_DEPS:=libcxxtaglib cxxsp_runtime_taglib
noinst_HEADERS:= \
--- src/cxxsp/taglib/Makefile.adon
+++ src/cxxsp/taglib/Makefile.adon
@@ -21,6 +21,6 @@
lib_LTLIBRARIES:=libcxxtaglib cxxsp_runtime_taglib
libcxxtaglib_SOURCES:=Taglib.cpp CompileTimeTaglib.cpp
cxxsp_runtime_taglib_SOURCES:=RunTimeTaglib.cpp
-cxxsp_runtime_taglib_LDFLAGS:=-lcxxtaglib
+cxxsp_runtime_taglib_LDADD:=-lcxxtaglib
cxxsp_runtime_taglib_DEPS:=libcxxtaglib
noinst_HEADERS:=RunTimeTaglib.h
--- src/container/Makefile.adon
+++ src/container/Makefile.adon
@@ -37,10 +37,10 @@
connection.cpp \
requesthandler.cpp \
requestlistener.cpp
-cppserv_LDFLAGS := -lservlet -lsputil4 -lsocket++ -lpthread -ldl -lserverconfig -rdynamic
+cppserv_LDADD := -lservlet -lsputil4 -lsocket++ -lpthread -lserverconfig -ldl -rdynamic
cppserv_CPPFLAGS := -I$(ADON_SRC)/include/container
cppserv_DEPS:= libservlet libserverconfig
ifeq ($(HAVE_LIBMAGIC),1)
-cppserv_LDFLAGS+=-lmagic
+cppserv_LDADD+=-lmagic
endif

@ -1,14 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>maintainer-needed@gentoo.org</email>
</maintainer>
<longdescription>
CPPSERV is C++ Application Server that provides Java Servlet-like API to
C++ programmers. It also contains CSP (C++ Server Pages) parser, borrowed
from cxxsp project. CPPSERV is a stand-alone application server, that
uses web server front-end to provide actual HTTP processing. Currently
available frontends are for Apache2 and ligttpd.
</longdescription>
</pkgmetadata>

@ -1,2 +0,0 @@
DIST sptk-3.5.8.14.tbz2 4378384 RMD160 47d57c1992a3005ab2bb74a5bb5c9c117f8673ad SHA1 e45b5999ee128e690262e4d915d43dfe61cc2c95 SHA256 4becafebe46b6765ae4b3f1aeeb10e64968d4e1dd8a8529b402e515c53c3be4e
DIST sptk-4.13.tbz2 3856304 RMD160 1fb9f280280b9e10cbb159835de4fded0b668873 SHA1 2c5491941b962f00d22473c4398c69e931b21f00 SHA256 290471e76aa4987a10dd340e60b7dfc10872e6657bdc3ef545c41348410f82f8

@ -1,16 +0,0 @@
This causes -lpthread to be added to the end of link list, after
objects, as opposed to the middle. This way --as-needed linking
is fixed.
Thanks Kacper Kowalik <xarthisius.kk@gmail.com>
--- sptk-3.5.8.14.orig/src/CMakeLists.txt 2009-12-13 12:39:36.408351609 +0100
+++ sptk-3.5.8.14/src/CMakeLists.txt 2009-12-13 12:54:14.591539074 +0100
@@ -23,7 +23,7 @@
)
IF (NOT WIN32)
- SET_TARGET_PROPERTIES (sputil3 PROPERTIES LINK_FLAGS "-lpthread")
+ TARGET_LINK_LIBRARIES (sputil3 pthread)
ENDIF (NOT WIN32)
IF (NOT NO_EXCEL)

@ -1,51 +0,0 @@
diff -uNr sptk-3.5.8.14/examples/registry.cpp sptk-3.5.8.14.fix/examples/registry.cpp
--- sptk-3.5.8.14/examples/registry.cpp 2008-06-28 15:43:06.000000000 +1000
+++ sptk-3.5.8.14.fix/examples/registry.cpp 2009-08-09 09:42:56.000000000 +1000
@@ -66,7 +66,9 @@
cout << "The registry doesn't contain window information" << endl;
}
}
- catch (exception& e) { puts(e.what()); }
+ catch (exception& e) {
+ cerr << e.what() << endl;
+ }
}
void updateRegistry(CRegistryMode mode) {
@@ -97,8 +99,8 @@
mySettings.save();
}
- catch (exception& e) {
- puts(e.what());
+ catch (exception& e) {
+ cerr << e.what() << endl;
}
}
diff -uNr sptk-3.5.8.14/src/utils/CVariant.cpp sptk-3.5.8.14.fix/src/utils/CVariant.cpp
--- sptk-3.5.8.14/src/utils/CVariant.cpp 2008-08-29 15:24:23.000000000 +1000
+++ sptk-3.5.8.14.fix/src/utils/CVariant.cpp 2009-08-09 09:36:25.000000000 +1000
@@ -40,6 +40,7 @@
#include <map>
#include <math.h>
+#include <stdio.h>
using namespace std;
using namespace sptk;
diff -uNr sptk-3.5.8.14/.themes.sptk/tar2h.cpp sptk-3.5.8.14.fix/.themes.sptk/tar2h.cpp
--- sptk-3.5.8.14/.themes.sptk/tar2h.cpp 2007-07-21 12:54:26.000000000 +1000
+++ sptk-3.5.8.14.fix/.themes.sptk/tar2h.cpp 2009-08-09 09:32:50.000000000 +1000
@@ -33,8 +33,9 @@
return 1;
}
- printf("static size_t %s_len = %ld;\n", argv[2], st.st_size);
- printf("static unsigned char %s[%ld] = {\n", argv[2], st.st_size);
+ long sz = st.st_size;
+ printf("static size_t %s_len = %ld;\n", argv[2], sz);
+ printf("static unsigned char %s[%ld] = {\n", argv[2], sz);
x = (unsigned char *)malloc(st.st_size);

@ -1,10 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>desktop-misc</herd>
<longdescription>C++ user interface toolkit for X with ODBC, IMAP, Excel support.</longdescription>
<use>
<flag name='aspell'>Enable support for <pkg>app-text/aspell</pkg></flag>
<flag name='excel'>Enable Excel support</flag>
</use>
</pkgmetadata>

@ -1,72 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/sptk/sptk-3.5.8.14-r1.ebuild,v 1.5 2011/03/20 20:19:29 jlec Exp $
EAPI=1
inherit cmake-utils
DESCRIPTION="C++ user interface toolkit for X with database and Excel support"
SRC_URI="http://www.sptk.net/sptk-${PV}.tbz2"
HOMEPAGE="http://www.sptk.net"
SLOT="3"
LICENSE="BSD"
KEYWORDS="~alpha amd64 ~mips ~ppc ~sparc x86"
IUSE="fltk odbc doc sqlite excel postgres aspell mysql gnutls"
RDEPEND="
aspell? ( >=app-text/aspell-0.50 )
fltk? ( x11-libs/fltk:1 )
gnutls? ( net-libs/gnutls )
mysql? ( virtual/mysql )
odbc? ( >=dev-db/unixODBC-2.2.6 )
postgres? ( >=dev-db/postgresql-base-8.0 )
sqlite? ( >=dev-db/sqlite-3 )"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )"
CMAKE_IN_SOURCE_BUILD=1
src_unpack() {
unpack ${A}
epatch "${FILESDIR}/sptk-gcc-4.4.patch"
epatch "${FILESDIR}/${P}-as-needed.patch"
}
src_compile() {
local mycmakeargs="$(cmake-utils_use_no postgres POSTGRESQL)
$(cmake-utils_use_no mysql MYSQL)
$(cmake-utils_use_no sqlite SQLITE3)
$(cmake-utils_use_no odbc ODBC)
$(cmake-utils_use_no aspell ASPELL)
$(cmake-utils_use_no fltk FLTK)
$(cmake-utils_use_no excel EXCEL)
$(cmake-utils_use_no gnutls TLS)"
mycmakeargs="${mycmakeargs} -D CMAKE_INSTALL_PREFIX:PATH=/usr -D LIBDIR=$(get_libdir) ${SPTK_OPTIONS} -DNO_EXAMPLES:BOOLEAN=TRUE"
cmake-utils_src_configure
cmake-utils_src_compile
if use doc; then
cd "${S}"
einfo "Fixing sptk3.doxygen"
sed -i -e 's,/cvs/sptk3/,,g' sptk3.doxygen
einfo "Building docs"
doxygen sptk3.doxygen
fi
}
src_install () {
DOCS="README AUTHORS"
cmake-utils_src_install
dodir /usr/share/doc/${PF}
cp -r "${S}"/docs/* "${D}"/usr/share/doc/${PF}
if use doc; then
rm -fr "${D}/usr/share/doc/${PF}/latex"
cp -rf "${S}/pictures" "${D}/usr/share/doc/${PF}"
fi
}

@ -1,80 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/sptk/sptk-4.13-r1.ebuild,v 1.3 2012/02/24 14:58:47 phajdan.jr Exp $
EAPI=4
CMAKE_IN_SOURCE_BUILD=1
inherit cmake-utils multilib
DESCRIPTION="C++ user interface toolkit for X with database and Excel support"
HOMEPAGE="http://www.sptk.net/"
SRC_URI="http://www.sptk.net/${P}.tbz2"
LICENSE="GPL-2 LGPL-2 LGPL-2.1"
SLOT="4"
KEYWORDS="~alpha amd64 ~mips ~ppc ~sparc x86"
IUSE="doc examples excel fltk mysql odbc pcre postgres sqlite ssl" # spell
# spell? ( >=app-text/aspell-0.60 )
RDEPEND="
fltk? (
>=media-libs/libpng-1.2:0
sys-libs/zlib
>=x11-libs/fltk-1.3.0:1
)
mysql? ( virtual/mysql )
odbc? ( >=dev-db/unixODBC-2.3.0 )
pcre? ( dev-libs/libpcre )
postgres? ( >=dev-db/postgresql-base-8.0 )
sqlite? ( >=dev-db/sqlite-3 )
ssl? ( dev-libs/openssl:0 )"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )"
DOCS="AUTHORS README"
src_configure() {
# $(cmake-utils_use_no spell ASPELL)
local mycmakeargs=(
-DLIBDIR=$(get_libdir)
-DNO_ASPELL=ON
-DNO_EXAMPLES=ON
$(cmake-utils_use_no excel)
$(cmake-utils_use_no fltk)
$(cmake-utils_use_no mysql)
$(cmake-utils_use_no odbc)
$(cmake-utils_use_no ssl OPENSSL)
$(cmake-utils_use_no pcre)
$(cmake-utils_use_no postgres POSTGRESQL)
$(cmake-utils_use_no sqlite SQLITE3)
)
cmake-utils_src_configure
}
src_compile() {
cmake-utils_src_compile
if use doc; then
doxygen sptk4.doxygen
fi
}
src_install () {
cmake-utils_src_install
if use doc; then
insinto /usr/share/doc/${PF}
doins -r docs pictures
fi
if use examples; then
insinto /usr/share/doc/${PF}
doins -r applications examples
fi
if [[ -e ${ED}/usr/bin/sql2cpp.pl ]]; then
dosym sql2cpp.pl /usr/bin/sql2cpp
fi
}

@ -1,3 +0,0 @@
DIST ingres-10.0.0-109-gpl-src.tgz 114102646 RMD160 c191d5fd7638355e1d9affce5f8b18a0f6bccb3d SHA1 02a867951656b04ad662f9fa9bc38c0395074482 SHA256 df5c61e9a1f657e3a81b2802df9136ad5ba5a38887c0e9367d2f441873b9a58f
DIST ingres-10.0.0-111-gpl-src.tgz 133667818 RMD160 e5551103b5f442590bd1936c4d43a1d830d30cc1 SHA1 14292c5610337bba56a4a9ca1b0f7abac4fa961d SHA256 bb6795acc840479113b9c635557276a4f11f0f0126534512e1cd0645882aa93d
DIST ingres-9.3.0-151-gpl-src.tgz 113438034 RMD160 6e4e83c2b71e6b637f4604afbe12dac1e913002d SHA1 cb51131495ca5a31dd658fe20c5c4ba44c0a1bca SHA256 c215a39f5b8bd6509bb2ef6512bd69476b5063b465d164be7c2f249ebf7f8c16

@ -1,11 +0,0 @@
--- src/tools/port/jam/Jamdefs 2008-10-28 14:07:42.000000000 +0100
+++ src/tools/port/jam/Jamdefs 2008-10-30 11:23:47.000000000 +0100
@@ -2069,7 +2069,7 @@
}
else
{
- XERCESCLIB = libxerces-c.$(SLSFX).$(XERCVERS).0 ;
+ XERCESCLIB ?= libxerces-c.$(SLSFX).$(XERCVERS).0 ;
}
}
else

@ -1,22 +0,0 @@
--- src/tools/port/jam/bldenv 2009-10-13 09:15:23.000000000 +0200
+++ src/tools/port/jam/bldenv 2009-10-13 09:16:37.000000000 +0200
@@ -285,6 +285,19 @@
gtk_need=false
deb=true
instcmd="apt-get install"
+ elif [ -f /etc/gentoo-release ] ; then
+ export OSVER=GENTOO
+ gtk_need=false
+ rpm_need=false
+ export XERCESCROOT=/usr/include/xercesc
+ if [ -f /usr/lib/libxerces-c.so ]; then
+ export XERCESLOC=/usr/lib
+ fi
+ XERCESCLIB=`readlink -n ${XERCESLOC}/libxerces-c.so`
+ if [ -z "$XERCESCLIB" ]; then
+ XERCESCLIB=libxerces-c.so
+ fi
+ export XERCESCLIB
elif [ -r /etc/redhat-release ] ; then
os=`cat /etc/redhat-release | cut -d' ' -f1`
if [ "$os" = "Fedora" ] ; then

@ -1,22 +0,0 @@
--- src/tools/port/shell_unix/mksecret.sh 2009-10-13 10:59:58.000000000 +0200
+++ src/tools/port/shell_unix/mksecret.sh 2009-10-13 11:00:23.000000000 +0200
@@ -1679,19 +1679,10 @@
[ -r /usr/include/sys/file.h ] &&
echo "# define xCL_007_FILE_H_EXISTS"
-if [ "$vers" = "int_lnx" ] || [ "$vers" = "ibm_lnx" ] || \
- [ "$vers" = "axp_lnx" ] || [ "$vers" = "i64_lnx" ] || \
- [ "$vers" = "a64_lnx" ] || [ "$vers" = "int_rpl" ] || \
- [ "$vers" = "ppc_lnx" ]
-then
- grep fd_set /usr/include/linux/types.h > /dev/null &&
- echo "# define xCL_014_FD_SET_TYPE_EXISTS"
-else
grep fd_set /usr/include/sys/types.h > /dev/null || \
grep fd_set /usr/include/sys/select.h > /dev/null || \
grep fd_set /usr/include/sys/time.h > /dev/null &&
echo "# define xCL_014_FD_SET_TYPE_EXISTS"
-fi
if [ "$vers" != "ds3_ulx" ]
then

@ -1,14 +0,0 @@
--- src/front/st/specials_unix_vms/sharelib.ccpp 2009-10-13 09:24:32.000000000 +0200
+++ src/front/st/specials_unix_vms/sharelib.ccpp 2009-10-13 09:25:34.000000000 +0200
@@ -145,9 +145,8 @@
LINK $XERCLIB$SLSFX.$XERCVERS
LINK $XERCLIB$SLSFX
# else
- EXECUTABLE libxerces-c.$SLSFX.$XERCVERS.0
- LINK libxerces-c.$SLSFX.$XERCVERS
- LINK libxerces-c.$SLSFX
+ EXECUTABLE $XERCESCLIB
+ LINK $XERCESCLIB
# endif
# endif /* xerces */
PERMISSION s:re,o:rwed,g:re,w:re

@ -1,11 +0,0 @@
--- src/tools/port/jam/Jamdefs 2008-10-28 14:07:42.000000000 +0100
+++ src/tools/port/jam/Jamdefs 2008-10-30 11:23:47.000000000 +0100
@@ -2069,7 +2069,7 @@
}
else
{
- XERCESCLIB = libxerces-c.$(SLSFX).$(XERCVERS).0 ;
+ XERCESCLIB ?= libxerces-c.$(SLSFX).$(XERCVERS).0 ;
}
}
else

@ -1,22 +0,0 @@
--- src/tools/port/jam/bldenv 2009-01-07 06:46:06.000000000 +0100
+++ src/tools/port/jam/bldenv 2009-01-07 07:04:25.000000000 +0100
@@ -274,6 +274,19 @@
gtk_need=false
deb=true
instcmd="apt-get install"
+ elif [ -f /etc/gentoo-release ] ; then
+ export OSVER=GENTOO
+ gtk_need=false
+ rpm_need=false
+ export XERCESCROOT=/usr/include/xercesc
+ if [ -f /usr/lib/libxerces-c.so ]; then
+ export XERCESLOC=/usr/lib
+ fi
+ XERCESCLIB=`readlink -n ${XERCESLOC}/libxerces-c.so`
+ if [ -z "$XERCESCLIB" ]; then
+ XERCESCLIB=libxerces-c.so
+ fi
+ export XERCESCLIB
elif [ -x /usr/bin/yum ] ; then
OSVER=FEDORA
if [ -r /etc/redhat-release ] && (grep -q 9 /etc/redhat-release)

@ -1,15 +0,0 @@
--- src/front/st/specials_unix_vms/sharelib.ccpp 2008-10-01 15:06:20.000000000 +0200
+++ src/front/st/specials_unix_vms/sharelib.ccpp 2008-10-30 11:26:05.000000000 +0100
@@ -136,10 +136,9 @@
# elif defined(OSX)
EXECUTABLE libxerces-c.$XERCVERS.$SLSFX
# else
- EXECUTABLE libxerces-c.$SLSFX.$XERCVERS.0
+ EXECUTABLE $XERCESCLIB
# endif /* rs4_us5 */
- LINK libxerces-c.$SLSFX.$XERCVERS
- LINK libxerces-c.$SLSFX
+ LINK $XERCESCLIB
# endif
PERMISSION s:re,o:rwed,g:re,w:re
}

@ -1,60 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/ingres/files/ingres-initd,v 1.1 2009/10/04 00:08:23 patrick Exp $
depend() {
use net
}
II_INSTALLATION=${SVCNAME:6:2}
export II_SYSTEM="/var/lib/ingres/Ingres${II_INSTALLATION}"
checkIngres() {
if [ ! -d "${II_SYSTEM}" ]; then
eerror "Ingres instance ${II_INSTALLATION} not found in ${II_SYSTEM}"
return 1
fi
}
start() {
checkIngres || return 1
ebegin "Starting Ingres Instance ${II_INSTALLATION}"
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
ingstart > /dev/null"
RET=$?
eend $RET
if [ ! $RET ]; then
eerror "Startup failed"
eerror "You may find information in ${II_SYSTEM}/ingres/files/errlog.log"
return 1
fi
}
stop() {
ebegin "Stopping Ingres Instance ${II_INSTALLATION}"
checkIngres || return 1
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
ingstop > /dev/null"
RET=$?
eend $RET
if [ ! $RET ]; then
eerror "Stopping failed"
eerror "You may try to run ingstop -f as user ingres"
return 1
fi
}

@ -1,8 +0,0 @@
--- src/front/frontcl/shell_unix/sql.sh 2008-10-08 12:03:32.000000000 +0200
+++ src/front/frontcl/shell_unix/sql.sh 2008-10-08 12:05:48.000000000 +0200
@@ -16,4 +16,4 @@
# PROGRAM = (PROG0PRFX)sql
# -----------------------------------------------------------------
-exec (PROG0PRFX)tm -qSQL "$@"
+exec (PROG0PRFX)tm -qSQL "$@" -history_recall

@ -1,222 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/ingres/ingres-10.0.0.109.ebuild,v 1.2 2009/10/27 23:40:05 patrick Exp $
EAPI="2"
inherit eutils flag-o-matic versionator
# amd64 doesn't work yet
KEYWORDS="~x86"
SLOT="0"
# Several Ingres instances can be installed with different
# installation identifiers - default is II
# This is not the same as slotting because we have
# n installations of the same version which is not supported
# by portage (e.g. portage doesn't know which one to unmerge)
II_INSTALLATION=${II_INSTALLATION:-"II"}
# Getting the version strings from the package name
VERSION=$(get_version_component_range 1-3)
SHORT_VERSION=$(get_version_component_range 1-2)
BUILD=$(get_version_component_range 4)
DESCRIPTION="Ingres Relational Database Management System"
HOMEPAGE="http://www.ingres.com/"
SRC_DIR="ingres-${VERSION}-${BUILD}-gpl-src"
SRC_TGZ="${SRC_DIR}.tgz"
DOWNLOAD_URL="http://dev.gentooexperimental.org/~dreeevil/ingres/ingres-${VERSION}-${BUILD}-gpl-src.tgz"
SRC_URI="${DOWNLOAD_URL}/${SRC_TGZ}"
S="${WORKDIR}/${SRC_DIR}"
LICENSE="GPL-2"
# nodbms means client installation
IUSE="client net das odbc demodb"
RDEPEND="dev-libs/xerces-c
app-arch/pax
virtual/jre"
DEPEND="${RDEPEND}
app-crypt/mit-krb5
dev-util/ftjam"
PG_DIR="/var/lib/ingres"
pkg_setup() {
if use client && use demodb; then
eerror "Cannot install demodb without the dbms"
die "Invalid USE flags"
fi
if [ -d "${PG_DIR}/Ingres${II_INSTALLATION}" ]; then
einfo "Existing installation found in ${PG_DIR}/Ingres${II_INSTALLATION}."
einfo "This installation will be upgraded."
einfo "If that is not what you want press CTRL-C now!"
epause 5
fi
if ps ax | grep -qe "iigc[n|c|d] ${II_INSTALLATION}"; then
ewarn ""
ewarn "Running instance of Ingres ${II_INSTALLATION} found!"
ewarn "Ingres will be compiled and merged but not configured"
ewarn "when another copy of the same instance is running."
ewarn "You can do that afterwards with "
ewarn "USE=\"...\" emerge --config ingres"
epause 5
fi
enewgroup ingres
enewuser ingres -1 /bin/bash ${PG_DIR} ingres
}
src_prepare() {
epatch "${FILESDIR}/${SHORT_VERSION}-bldenv.patch"
epatch "${FILESDIR}/${SHORT_VERSION}-sharelib.patch"
epatch "${FILESDIR}/${SHORT_VERSION}-Jamdefs.patch"
epatch "${FILESDIR}/${SHORT_VERSION}-mksecret.patch"
epatch "${FILESDIR}/sql.patch"
}
src_compile() {
export ING_ROOT="${S}"
local paxlocation=`which pax`
export PAXLOC=`dirname ${paxlocation}`
source src/tools/port/jam/bldenv || die "Setting of environment failed"
cd tools/port/jam
jam || die "Building of mkjams failed"
mkjams || die "Creation of jam files failed"
cd "$ING_SRC"
grep -vE "gtk|rpm|deb|packman|pixmap" front/st/Jamfile > front/st/_Jamfile
mv front/st/_Jamfile front/st/Jamfile
einfo "Compiling Ingres..."
jam -q || die "Building Ingres failed"
}
src_install() {
einfo "Creating II_SYSTEM..."
II_SYSTEM="${D}${PG_DIR}/Ingres${II_INSTALLATION}"
II_LOC="${II_SYSTEM}/ingres"
mkdir -p "${II_LOC}"
DIRS="abf bin ckp data demo dmp files ice jnl lib log sig utility work vdba version.rel"
for DIR in ${DIRS}; do
echo -n "${DIR} "
cp -rpLf "${S}/build/${DIR}" "${II_LOC}/" || die "Copying ${DIR} failed"
done
echo
chown -R ingres:ingres "${II_LOC}"
cat - > ${II_SYSTEM}/.ing${II_INSTALLATION}bash << EOF
export II_SYSTEM=${PG_DIR}/Ingres${II_INSTALLATION}
export PATH=\$II_SYSTEM/ingres/bin:\$II_SYSTEM/ingres/utility:\$PATH
if [ "\$LD_LIBRARY_PATH" ] ; then
LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/usr/local/lib:\$II_SYSTEM/ingres/lib
else
LD_LIBRARY_PATH=/lib:/usr/lib:/usr/local/lib:\$II_SYSTEM/ingres/lib
fi
export LD_LIBRARY_PATH
export TERM=vt100
export TERM_INGRES=vt100fx
EOF
newinitd "${FILESDIR}/ingres-initd" ingres${II_INSTALLATION} || die "Adding init.d script failed"
einfo "done."
}
pkg_config() {
export II_SYSTEM="${PG_DIR}/Ingres${II_INSTALLATION}"
ERRMSG="Installing Ingres failed
You may find information in ${II_SYSTEM}/ingres/files/install.log.
You can retry by executing USE=\"...\" emerge --config ingres"
if ps ax | grep -qe "iigc[n|c|d] ${II_INSTALLATION}"; then
eerror "Running instance of Ingres ${II_INSTALLATION} found!"
eerror "Please stop that instance first, before upgrading."
die "${ERRMSG}"
fi
einfo "Fixing file permissions..."
chmod u+s "${II_SYSTEM}/ingres/bin/verifydb"
chmod u+s "${II_SYSTEM}/ingres/bin/ingvalidpw"
chmod u+s "${II_SYSTEM}/ingres/bin/iimerge"
chmod u+s "${II_SYSTEM}/ingres/utility/csreport"
einfo "Setting up Ingres (please wait - this will take a few minutes)"
PARTS="tm"
if ! use client; then
PARTS="${PARTS} dbms"
fi
for FLAG in net das odbc demodb; do
if use ${FLAG}; then
PARTS="${PARTS} ${FLAG}"
fi
done
for PART in ${PARTS}; do
einfo "${PART}..."
if [ ${PART} == "demodb" ]; then
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
cd ${II_SYSTEM}/ingres/demo/data
ingstart > /dev/null
if createdb -n demodb > /dev/null; then
sql demodb < copy.in > /dev/null
fi" || die "${ERRMSG}"
else
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
export II_INSTALLATION=${II_INSTALLATION}
${II_SYSTEM}/ingres/utility/iisu${PART} -batch" || die "${ERRMSG}"
fi
done
einfo "Upgrading any existing databases"
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
ingstart > /dev/null 2>&1
upgradedb -all > /dev/null
ingstop > /dev/null" || die "${ERRMSG}"
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
ingsetenv ING_ABFDIR ${II_SYSTEM}/ingres/abf" || die "${ERRMSG}"
"${II_SYSTEM}/ingres/bin/mkvalidpw" > /dev/null || die "${ERRMSG}"
einfo "Done."
}
pkg_postinst() {
pkg_config
elog ""
elog "Run '/etc/init.d/ingres${II_INSTALLATION} start' to start Ingres"
elog ""
elog "After that, as user ingres type"
elog " source ${PG_DIR}/Ingres${II_INSTALLATION}/.ing${II_INSTALLATION}bash"
elog "to run the Ingres commands such as sql or createdb."
}

@ -1,220 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/ingres/ingres-10.0.0.111.ebuild,v 1.1 2009/11/15 12:11:08 patrick Exp $
EAPI="2"
inherit eutils flag-o-matic versionator
# amd64 doesn't work yet
KEYWORDS="~x86"
SLOT="0"
# Several Ingres instances can be installed with different
# installation identifiers - default is II
# This is not the same as slotting because we have
# n installations of the same version which is not supported
# by portage (e.g. portage doesn't know which one to unmerge)
II_INSTALLATION=${II_INSTALLATION:-"II"}
# Getting the version strings from the package name
VERSION=$(get_version_component_range 1-3)
SHORT_VERSION=$(get_version_component_range 1-2)
BUILD=$(get_version_component_range 4)
DESCRIPTION="Ingres Relational Database Management System"
HOMEPAGE="http://www.ingres.com/"
SRC_DIR="ingres-${VERSION}-${BUILD}-gpl-src"
SRC_TGZ="${SRC_DIR}.tgz"
DOWNLOAD_URL="http://dev.gentooexperimental.org/~dreeevil/ingres/ingres-${VERSION}-${BUILD}-gpl-src.tgz"
SRC_URI="${DOWNLOAD_URL}/${SRC_TGZ}"
S="${WORKDIR}/${SRC_DIR}"
LICENSE="GPL-2"
# nodbms means client installation
IUSE="client net das odbc demodb"
RDEPEND="dev-libs/xerces-c
app-arch/pax"
DEPEND="${RDEPEND}
app-crypt/mit-krb5
dev-util/ftjam"
PG_DIR="/var/lib/ingres"
pkg_setup() {
if use client && use demodb; then
eerror "Cannot install demodb without the dbms"
die "Invalid USE flags"
fi
if [ -d "${PG_DIR}/Ingres${II_INSTALLATION}" ]; then
einfo "Existing installation found in ${PG_DIR}/Ingres${II_INSTALLATION}."
einfo "This installation will be upgraded."
einfo "If that is not what you want press CTRL-C now!"
epause 5
fi
if ps ax | grep -qe "iigc[n|c|d] ${II_INSTALLATION}"; then
ewarn ""
ewarn "Running instance of Ingres ${II_INSTALLATION} found!"
ewarn "Ingres will be compiled and merged but not configured"
ewarn "when another copy of the same instance is running."
ewarn "You can do that afterwards with "
ewarn "USE=\"...\" emerge --config ingres"
epause 5
fi
enewgroup ingres
enewuser ingres -1 /bin/bash ${PG_DIR} ingres
}
src_prepare() {
epatch "${FILESDIR}/${SHORT_VERSION}-bldenv.patch"
epatch "${FILESDIR}/${SHORT_VERSION}-sharelib.patch"
epatch "${FILESDIR}/${SHORT_VERSION}-Jamdefs.patch"
epatch "${FILESDIR}/sql.patch"
}
src_compile() {
export ING_ROOT="${S}"
local paxlocation=`which pax`
export PAXLOC=`dirname ${paxlocation}`
source src/tools/port/jam/bldenv || die "Setting of environment failed"
cd tools/port/jam
jam || die "Building of mkjams failed"
mkjams || die "Creation of jam files failed"
cd "$ING_SRC"
grep -vE "gtk|rpm|deb|packman|pixmap" front/st/Jamfile > front/st/_Jamfile
mv front/st/_Jamfile front/st/Jamfile
einfo "Compiling Ingres..."
jam -q || die "Building Ingres failed"
}
src_install() {
einfo "Creating II_SYSTEM..."
II_SYSTEM="${D}${PG_DIR}/Ingres${II_INSTALLATION}"
II_LOC="${II_SYSTEM}/ingres"
mkdir -p "${II_LOC}"
DIRS="abf bin ckp data demo dmp files ice jnl lib log sig utility work vdba version.rel"
for DIR in ${DIRS}; do
echo -n "${DIR} "
cp -rpLf "${S}/build/${DIR}" "${II_LOC}/" || die "Copying ${DIR} failed"
done
echo
chown -R ingres:ingres "${II_LOC}"
cat - > ${II_SYSTEM}/.ing${II_INSTALLATION}bash << EOF
export II_SYSTEM=${PG_DIR}/Ingres${II_INSTALLATION}
export PATH=\$II_SYSTEM/ingres/bin:\$II_SYSTEM/ingres/utility:\$PATH
if [ "\$LD_LIBRARY_PATH" ] ; then
LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/usr/local/lib:\$II_SYSTEM/ingres/lib
else
LD_LIBRARY_PATH=/lib:/usr/lib:/usr/local/lib:\$II_SYSTEM/ingres/lib
fi
export LD_LIBRARY_PATH
export TERM=vt100
export TERM_INGRES=vt100fx
EOF
newinitd "${FILESDIR}/ingres-initd" ingres${II_INSTALLATION} || die "Adding init.d script failed"
einfo "done."
}
pkg_config() {
export II_SYSTEM="${PG_DIR}/Ingres${II_INSTALLATION}"
ERRMSG="Installing Ingres failed
You may find information in ${II_SYSTEM}/ingres/files/install.log.
You can retry by executing USE=\"...\" emerge --config ingres"
if ps ax | grep -qe "iigc[n|c|d] ${II_INSTALLATION}"; then
eerror "Running instance of Ingres ${II_INSTALLATION} found!"
eerror "Please stop that instance first, before upgrading."
die "${ERRMSG}"
fi
einfo "Fixing file permissions..."
chmod u+s "${II_SYSTEM}/ingres/bin/verifydb"
chmod u+s "${II_SYSTEM}/ingres/bin/ingvalidpw"
chmod u+s "${II_SYSTEM}/ingres/bin/iimerge"
chmod u+s "${II_SYSTEM}/ingres/utility/csreport"
einfo "Setting up Ingres (please wait - this will take a few minutes)"
PARTS="tm"
if ! use client; then
PARTS="${PARTS} dbms"
fi
for FLAG in net das odbc demodb; do
if use ${FLAG}; then
PARTS="${PARTS} ${FLAG}"
fi
done
for PART in ${PARTS}; do
einfo "${PART}..."
if [ ${PART} == "demodb" ]; then
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
cd ${II_SYSTEM}/ingres/demo/data
ingstart > /dev/null
if createdb -n demodb > /dev/null; then
sql demodb < copy.in > /dev/null
fi" || die "${ERRMSG}"
else
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
export II_INSTALLATION=${II_INSTALLATION}
${II_SYSTEM}/ingres/utility/iisu${PART} -batch" || die "${ERRMSG}"
fi
done
einfo "Upgrading any existing databases"
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
ingstart > /dev/null 2>&1
upgradedb -all > /dev/null
ingstop > /dev/null" || die "${ERRMSG}"
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
ingsetenv ING_ABFDIR ${II_SYSTEM}/ingres/abf" || die "${ERRMSG}"
"${II_SYSTEM}/ingres/bin/mkvalidpw" > /dev/null || die "${ERRMSG}"
einfo "Done."
}
pkg_postinst() {
pkg_config
elog ""
elog "Run '/etc/init.d/ingres${II_INSTALLATION} start' to start Ingres"
elog ""
elog "After that, as user ingres type"
elog " source ${PG_DIR}/Ingres${II_INSTALLATION}/.ing${II_INSTALLATION}bash"
elog "to run the Ingres commands such as sql or createdb."
}

@ -1,224 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/ingres/ingres-9.3.0.151.ebuild,v 1.2 2009/10/05 03:15:54 mr_bones_ Exp $
EAPI="2"
inherit eutils flag-o-matic versionator
# amd64 doesn't work yet
KEYWORDS="~x86"
SLOT="0"
# Several Ingres instances can be installed with different
# installation identifiers - default is II
# This is not the same as slotting because we have
# n installations of the same version which is not supported
# by portage (e.g. portage doesn't know which one to unmerge)
II_INSTALLATION=${II_INSTALLATION:-"II"}
# Getting the version strings from the package name
VERSION=$(get_version_component_range 1-3)
SHORT_VERSION=$(get_version_component_range 1-2)
BUILD=$(get_version_component_range 4)
DESCRIPTION="Ingres Relational Database Management System"
HOMEPAGE="http://www.ingres.com/"
SRC_DIR="ingres-${VERSION}-${BUILD}-gpl-src"
SRC_TGZ="${SRC_DIR}.tgz"
DOWNLOAD_URL="http://dev.gentooexperimental.org/~dreeevil/ingres/ingres-${VERSION}-${BUILD}-gpl-src.tgz"
SRC_URI="${DOWNLOAD_URL}/${SRC_TGZ}"
S="${WORKDIR}/${SRC_DIR}"
LICENSE="GPL-2"
# nodbms means client installation
IUSE="nodbms net das odbc demodb"
RDEPEND="dev-libs/xerces-c
app-arch/pax"
DEPEND="${RDEPEND}
app-crypt/mit-krb5
dev-util/ftjam"
PG_DIR="/var/lib/ingres"
pkg_setup() {
if use nodbms && use demodb; then
eerror "Cannot install demodb without the dbms"
die "Invalid USE flags"
fi
if use nodbms && ! use net && ! use das; then
eerror "No servers or clients to install"
die "Invalid USE flags"
fi
if [ -d "${PG_DIR}/Ingres${II_INSTALLATION}" ]; then
einfo "Existing installation found in ${PG_DIR}/Ingres${II_INSTALLATION}."
einfo "This installation will be upgraded."
einfo "If that is not what you want press CTRL-C now!"
epause 5
fi
if ps ax | grep -qe "iigc[n|c|d] ${II_INSTALLATION}"; then
ewarn ""
ewarn "Running instance of Ingres ${II_INSTALLATION} found!"
ewarn "Ingres will be compiled and merged but not configured"
ewarn "when another copy of the same instance is running."
ewarn "You can do that afterwards with "
ewarn "USE=\"...\" emerge --config ingres"
epause 5
fi
enewgroup ingres
enewuser ingres -1 /bin/bash ${PG_DIR} ingres
}
src_prepare() {
epatch "${FILESDIR}/${SHORT_VERSION}-bldenv.patch"
epatch "${FILESDIR}/${SHORT_VERSION}-sharelib.patch"
epatch "${FILESDIR}/${SHORT_VERSION}-Jamdefs.patch"
epatch "${FILESDIR}/sql.patch"
}
src_compile() {
export ING_ROOT="${S}"
local paxlocation=`which pax`
export PAXLOC=`dirname ${paxlocation}`
source src/tools/port/jam/bldenv || die "Setting of environment failed"
cd tools/port/jam
jam || die "Building of mkjams failed"
mkjams || die "Creation of jam files failed"
cd "$ING_SRC"
grep -vE "gtk|rpm|deb|packman|pixmap" front/st/Jamfile > front/st/_Jamfile
mv front/st/_Jamfile front/st/Jamfile
einfo "Compiling Ingres..."
jam -q || die "Building Ingres failed"
}
src_install() {
einfo "Creating II_SYSTEM..."
II_SYSTEM="${D}${PG_DIR}/Ingres${II_INSTALLATION}"
II_LOC="${II_SYSTEM}/ingres"
mkdir -p "${II_LOC}"
DIRS="abf bin ckp data demo dmp files ice jnl lib log sig utility work vdba version.rel"
for DIR in ${DIRS}; do
echo -n "${DIR} "
cp -rpLf "${S}/build/${DIR}" "${II_LOC}/" || die "Copying ${DIR} failed"
done
echo
chown -R ingres:ingres "${II_LOC}"
cat - > ${II_SYSTEM}/.ing${II_INSTALLATION}bash << EOF
export II_SYSTEM=${PG_DIR}/Ingres${II_INSTALLATION}
export PATH=\$II_SYSTEM/ingres/bin:\$II_SYSTEM/ingres/utility:\$PATH
if [ "\$LD_LIBRARY_PATH" ] ; then
LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:/usr/local/lib:\$II_SYSTEM/ingres/lib
else
LD_LIBRARY_PATH=/lib:/usr/lib:/usr/local/lib:\$II_SYSTEM/ingres/lib
fi
export LD_LIBRARY_PATH
export TERM=vt100
export TERM_INGRES=vt100fx
EOF
newinitd "${FILESDIR}/ingres-initd" ingres${II_INSTALLATION} || die "Adding init.d script failed"
einfo "done."
}
pkg_config() {
export II_SYSTEM="${PG_DIR}/Ingres${II_INSTALLATION}"
ERRMSG="Installing Ingres failed
You may find information in ${II_SYSTEM}/ingres/files/install.log.
You can retry by executing USE=\"...\" emerge --config ingres"
if ps ax | grep -qe "iigc[n|c|d] ${II_INSTALLATION}"; then
eerror "Running instance of Ingres ${II_INSTALLATION} found!"
eerror "Please stop that instance first, before upgrading."
die "${ERRMSG}"
fi
einfo "Fixing file permissions..."
chmod u+s "${II_SYSTEM}/ingres/bin/verifydb"
chmod u+s "${II_SYSTEM}/ingres/bin/ingvalidpw"
chmod u+s "${II_SYSTEM}/ingres/bin/iimerge"
chmod u+s "${II_SYSTEM}/ingres/utility/csreport"
einfo "Setting up Ingres (please wait - this will take a few minutes)"
PARTS="tm"
if ! use nodbms; then
PARTS="${PARTS} dbms"
fi
for FLAG in net das odbc demodb; do
if use ${FLAG}; then
PARTS="${PARTS} ${FLAG}"
fi
done
for PART in ${PARTS}; do
einfo "${PART}..."
if [ ${PART} == "demodb" ]; then
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
cd ${II_SYSTEM}/ingres/demo/data
ingstart > /dev/null
if createdb -n demodb > /dev/null; then
sql demodb < copy.in > /dev/null
fi" || die "${ERRMSG}"
else
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
export II_INSTALLATION=${II_INSTALLATION}
${II_SYSTEM}/ingres/utility/iisu${PART} -batch" || die "${ERRMSG}"
fi
done
einfo "Upgrading any existing databases"
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
ingstart > /dev/null 2>&1
upgradedb -all > /dev/null
ingstop > /dev/null" || die "${ERRMSG}"
su ingres -c "
. ${II_SYSTEM}/.ing${II_INSTALLATION}bash
ingsetenv ING_ABFDIR ${II_SYSTEM}/ingres/abf" || die "${ERRMSG}"
"${II_SYSTEM}/ingres/bin/mkvalidpw" > /dev/null || die "${ERRMSG}"
einfo "Done."
}
pkg_postinst() {
pkg_config
elog ""
elog "Run '/etc/init.d/ingres${II_INSTALLATION} start' to start Ingres"
elog ""
elog "After that, as user ingres type"
elog " source ${PG_DIR}/Ingres${II_INSTALLATION}/.ing${II_INSTALLATION}bash"
elog "to run the Ingres commands such as sql or createdb."
}

@ -1,15 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer>
<email>patrick@gentoo.org</email>
<name>Patrick Lauer</name>
</maintainer>
<use>
<flag name='net'>Enable net support</flag>
<flag name='das'>Enable das support</flag>
<flag name='nodbms'>Disable dbms component</flag>
<flag name='client'>Disable dbms component</flag>
<flag name='demodb'>Install demo DB</flag>
</use>
</pkgmetadata>

@ -1 +1,3 @@
DIST pgpool-II-3.0.4.tar.gz 1211828 RMD160 51572b55e7e7ac1d67269ac2c45a1b8316314fa4 SHA1 dfbc5d8e05f79bbf96725204a0291955194e96d0 SHA256 886e0fa3dec98f4a6c25cc5b4b1fc5aac49258e2669c1ffda178d18711c8b5c1
DIST pgpool-II-3.0.7.tar.gz 1211828 RMD160 51572b55e7e7ac1d67269ac2c45a1b8316314fa4 SHA1 dfbc5d8e05f79bbf96725204a0291955194e96d0 SHA256 886e0fa3dec98f4a6c25cc5b4b1fc5aac49258e2669c1ffda178d18711c8b5c1
DIST pgpool-II-3.1.3.tar.gz 1211828 RMD160 51572b55e7e7ac1d67269ac2c45a1b8316314fa4 SHA1 dfbc5d8e05f79bbf96725204a0291955194e96d0 SHA256 886e0fa3dec98f4a6c25cc5b4b1fc5aac49258e2669c1ffda178d18711c8b5c1

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/pgpool2/pgpool2-3.0.4.ebuild,v 1.1 2011/06/19 18:50:43 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/pgpool2/pgpool2-3.0.4.ebuild,v 1.2 2012/04/23 15:00:44 titanofold Exp $
EAPI=4
@ -58,7 +58,7 @@ src_prepare() {
src_configure() {
econf \
--sysconfdir=${EROOT}/etc/${PN} \
--sysconfdir="${EROOT}/etc/${PN}" \
--disable-rpath \
$(use_enable static-libs static) \
$(use_with ssl openssl) \

@ -0,0 +1,77 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/pgpool2/pgpool2-3.0.7.ebuild,v 1.1 2012/04/23 15:00:45 titanofold Exp $
EAPI=4
[[ ${PV} == 9999 ]] && MY_P=${PN/2/-II} || MY_P="${PN/2/-II}-${PV}"
ECVS_SERVER="cvs.pgfoundry.org:/cvsroot/pgpool"
ECVS_MODULE="pgpool-II"
[[ ${PV} == 9999 ]] && SCM_ECLASS="cvs"
inherit base autotools ${SCM_ECLASS}
unset SCM_ECLASS
DESCRIPTION="Connection pool server for PostgreSQL"
HOMEPAGE="http://pgpool.projects.postgresql.org/"
[[ ${PV} == 9999 ]] || SRC_URI="http://pgfoundry.org/frs/download.php/3076/${MY_P}.tar.gz"
LICENSE="BSD"
SLOT="0"
[[ ${PV} == 9999 ]] || KEYWORDS="~amd64 ~x86"
IUSE="pam ssl static-libs"
RDEPEND="
dev-db/postgresql-base
pam? ( sys-auth/pambase )
ssl? ( dev-libs/openssl )
"
DEPEND="${DEPEND}
sys-devel/bison
!!dev-db/pgpool
"
AUTOTOOLS_IN_SOURCE_BUILD="1"
DOCS=(
"NEWS"
"doc/where_to_send_queries.pdf"
)
HTML_DOCS=(
"doc/pgpool-en.html"
"doc/pgpool.css"
"doc/tutorial-en.html"
)
# Those turkeys didn't update the directory name!'
#S=${WORKDIR}/${MY_P}
S="${WORKDIR}/pgpool-II-3.0.4"
src_prepare() {
sed -i \
-e 's:/tmp/:/var/run/postgresql:g' \
pgpool.conf.sample pool.h || die
sed -i \
-e '/ACLOCAL_AMFLAGS/ d' \
Makefile.am || die
base_src_prepare
eautoreconf
}
src_configure() {
econf \
--sysconfdir="${EROOT}/etc/${PN}" \
--disable-rpath \
$(use_enable static-libs static) \
$(use_with ssl openssl) \
$(use_with pam)
}
src_install() {
base_src_install
find "${ED}" -name '*.la' -exec rm -f {} +
# move misc data to proper folder
mv "${ED}/usr/share/${PN/2/-II}" "${ED}/usr/share/${PN}" || die
newinitd "${FILESDIR}/${PN}.initd" ${PN}
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save